GNU logs - #11860, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1;  Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Jul 2012 18:43:12 +0000
Resent-Message-ID: <handler.11860.B.134142735811353 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 11860 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.134142735811353
          (code B ref -1); Wed, 04 Jul 2012 18:43:12 +0000
Received: (at submit) by debbugs.gnu.org; 4 Jul 2012 18:42:38 +0000
Received: from localhost ([127.0.0.1]:48370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmUX0-0002wt-Db
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 14:42:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39143)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1SmLnW-0005C4-3m
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 05:23:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <smias@HIDDEN>) id 1SmLip-0000um-3y
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 05:18:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.4 required=5.0 tests=BAYES_00,BODY_8BITS,
	FREEMAIL_FROM,RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable
	version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35290)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <smias@HIDDEN>) id 1SmLio-0000ui-S0
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 05:18:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51367)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <smias@HIDDEN>) id 1SmLii-0007or-CA
	for bug-gnu-emacs@HIDDEN; Wed, 04 Jul 2012 05:18:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <smias@HIDDEN>) id 1SmLic-0000sO-WE
	for bug-gnu-emacs@HIDDEN; Wed, 04 Jul 2012 05:17:59 -0400
Received: from forward3.mail.yandex.net ([77.88.46.8]:33868)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <smias@HIDDEN>) id 1SmLic-0000rr-2q
	for bug-gnu-emacs@HIDDEN; Wed, 04 Jul 2012 05:17:54 -0400
Received: from web30d.yandex.ru (web30d.yandex.ru [77.88.46.29])
	by forward3.mail.yandex.net (Yandex) with ESMTP id 13335B4291D
	for <bug-gnu-emacs@HIDDEN>; Wed,  4 Jul 2012 13:17:51 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341393471; bh=gUOAioDG5OClsi6XXN1wpn24ucZuZKWy4oLp7vXA650=;
	h=From:To:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=CGs6cHncf/psIxUa66qno3z/4Ju3YOJbjdrA+fi1a2kpyoh6SnVeO0SRwRINtFWlX
	hfetLn/msgGTA1H5l3KbgYmSrl8WaVrjLEfVzyPvRAAsG02+esXjJBcJ0NKzW/dSXX
	f612U2h9kggxBoEUZjZ6Gtl1r+NjI4YnWiG0jKS8=
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web30d.yandex.ru (Yandex) with ESMTP id D8AC11F6002B;
	Wed,  4 Jul 2012 13:17:50 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341393470; bh=gUOAioDG5OClsi6XXN1wpn24ucZuZKWy4oLp7vXA650=;
	h=From:To:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=iSTaUNUo6W9uuu4647nO9iQs0VDJff3/Lu+R2znDZN/N5vdQFFIviMA9kWkEHjfK1
	J6THnEoqa90IoZPAJMqy+akrSwOKmIvbXdmLT7ijSu57R2N6gTFQfXqmTF/niiu2mo
	eCkWLdQGx9OugiIckFyQRQE74gEVu4VJV7LCx298=
Received: from [46.115.33.42] ([46.115.33.42]) by web30d.yandex.ru with HTTP; 
	Wed, 04 Jul 2012 13:17:49 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <349071341393469@HIDDEN>
Date: Wed, 04 Jul 2012 11:17:49 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.2 (------)
X-Mailman-Approved-At: Wed, 04 Jul 2012 14:42:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

Hello,

the diacritics characters (harakat, short vowels of arabic) don't appear =
in windows. (In linux it works very fine)

These are the unicode names:
U+064B (1611)	=E2=80=8F=D9=8B=E2=80=8E	Arabisches Fathatan	ARABIC FATHATA=
N
U+064C (1612)	=E2=80=8F=D9=8C=E2=80=8E	Arabisches Dammatan	ARABIC DAMMATA=
N
U+064D (1613)	=E2=80=8F=D9=8D=E2=80=8E	Arabisches Kasratan	ARABIC KASRATA=
N
U+064E (1614)	=E2=80=8F=D9=8E=E2=80=8E	Arabisches Fatha	ARABIC FATHA
U+064F (1615)	=E2=80=8F=D9=8F=E2=80=8E	Arabisches Damma	ARABIC DAMMA
U+0650 (1616)	=E2=80=8F=D9=90=E2=80=8E	Arabisches Kasra	ARABIC KASRA
U+0651 (1617)	=E2=80=8F=D9=91=E2=80=8E	Arabisches Schadda	ARABIC SHADDA
U+0652 (1618)	=E2=80=8F=D9=92=E2=80=8E	Arabisches Sukun	ARABIC SUKUN

All these characters doesn't appear. Or I can see them shortly if the cur=
sor is on one of them.

I've tried many fonts, but it doesn't work. These special characters are =
in the file, emacs don't loose them. If I copy the text to another editor=
, I can see them.

Should I download other packages?


Thanks

Greetings

Steffan

 --=20
In GNU Emacs 24.1.1 (i386-mingw-nt6.1.7600)
 of 2012-06-10 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7600
Configured using:
 `configure --with-gcc (4.6) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1256
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  text-scale-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f <up> <backspace> <backspace> <backspace> <backspace>=20
<backspace> <backspace> <backspace> <backspace> u <backspace>=20
d o <tab> w . <backspace> / <backspace> <backspace>=20
<backspace> <backspace> d d d <return> X \ <backspace>=20
<backspace> C-x C-] C-x C-=3D C-x C-=3D g h h f C-x C-=3D=20
C-x C-=3D C-=3D C-=3D C-=3D <backspace> <backspace> <backspace>=20
<backspace> <backspace> <return> h g <backspace> <backspace>=20
<backspace> <language-change> =D8=A7 =D9=84 =D8=AC =D8=B2 <backspace> <ba=
ckspace>=20
<backspace> <backspace> =D8=A7 =D9=84 =D8=B9 =D9=84 =D8=A7 <backspace> <b=
ackspace>=20
=D9=84 =D8=A7 <backspace> <backspace> =D8=B1 =D8=A8 =D9=8A =D9=88 <backsp=
ace> =D8=A9 <right>=20
=D9=91 <right> <right> <left> <backspace> <delete> <delete>=20
<delete> <delete> <backspace> <backspace> <backspace>=20
<backspace> =D8=AA =D8=A7 <backspace> <backspace> <backspace>=20
=D8=A7 =D9=84 =D8=B9 =D8=B1 =D8=A8 =D9=8A =D8=A9 <return> <return> =D8=A7=
 =D9=84 =D8=B9 =D9=8E =D8=B1 =D9=8E =D8=A8 =D9=8A =D9=91 =D8=A9 <return>=20
C-SPC <up> <up> <down> <down> <right> <right> <right>=20
<right> <right> <left> <left> <left> <right> <right>=20
<right> <right> <right> <right> <right> <down> <left>=20
<left> <right> <left> <left> <left> <left> <left> <left>=20
<left> C-g C-g C-x C-s <return> <up> <left> <left>=20
<left> <right> <left> <left> <left> <left> <left> <right>=20
<right> <right> <left> <left> <left> <left> <up> <left>=20
<left> <left> <left> <left> <left> <left> <left> <left>=20
<up> <up> <up> <down> <return> <down> <down> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<left> <left> <left> <left> <left> <left> <left> <right>=20
<right> M-x <up> <down> 0 <backspace> - =D9=84 =D8=A7 =D8=B9 =D9=84 <tab>=
=20
<backspace> <backspace> <backspace> <backspace> <language-change>=20
b u <tab> g <tab> =C3=9F <backspace> <left> <left> <left>=20
<left> r e <tab> <return>

Recent messages:
delete-backward-char: Beginning of buffer
Mark set
Quit [2 times]
Saving file c:/Users/q/ddd...
Wrote c:/Users/q/ddd
call-interactively: End of buffer
goto-history-element: Beginning of history; no preceding item
goto-history-element: End of history; no default available
Making completion list... [2 times]
call-interactively: End of buffer [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode easymenu view face-remap
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32
disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Steffan <smias@HIDDEN>
Subject: bug#11860: Acknowledgement (24.1;  Arabic - Harakat (diacritics,
 short vowels) don't appear)
Message-ID: <handler.11860.B.134142735811353.ack <at> debbugs.gnu.org>
References: <349071341393469@HIDDEN>
X-Gnu-PR-Message: ack 11860
X-Gnu-PR-Package: emacs
Reply-To: 11860 <at> debbugs.gnu.org
Date: Wed, 04 Jul 2012 18:43:12 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 11860 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
11860: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D11860
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 04 Jul 2012 20:27:01 +0000
Resent-Message-ID: <handler.11860.B11860.134143361623800 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134143361623800
          (code B ref 11860); Wed, 04 Jul 2012 20:27:01 +0000
Received: (at 11860) by debbugs.gnu.org; 4 Jul 2012 20:26:56 +0000
Received: from localhost ([127.0.0.1]:48552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmWA4-0006Bp-7Z
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 16:26:56 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:63546)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SmWA1-0006Bd-GE
	for 11860 <at> debbugs.gnu.org; Wed, 04 Jul 2012 16:26:55 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M6N00A00JOMDL00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Wed, 04 Jul 2012 23:22:00 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M6N00APLKKN9O60@HIDDEN>;
	Wed, 04 Jul 2012 23:22:00 +0300 (IDT)
Date: Wed, 04 Jul 2012 23:22:00 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <349071341393469@HIDDEN>
Message-id: <83395746qf.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <349071341393469@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Date: Wed, 04 Jul 2012 11:17:49 +0200
>=20
> Hello,
>=20
> the diacritics characters (harakat, short vowels of arabic) don't a=
ppear in windows. (In linux it works very fine)
>=20
> These are the unicode names:
> U+064B (1611)=09=E2=80=8F=D9=8B=E2=80=8E=09Arabisches Fathatan=09AR=
ABIC FATHATAN
> U+064C (1612)=09=E2=80=8F=D9=8C=E2=80=8E=09Arabisches Dammatan=09AR=
ABIC DAMMATAN
> U+064D (1613)=09=E2=80=8F=D9=8D=E2=80=8E=09Arabisches Kasratan=09AR=
ABIC KASRATAN
> U+064E (1614)=09=E2=80=8F=D9=8E=E2=80=8E=09Arabisches Fatha=09ARABI=
C FATHA
> U+064F (1615)=09=E2=80=8F=D9=8F=E2=80=8E=09Arabisches Damma=09ARABI=
C DAMMA
> U+0650 (1616)=09=E2=80=8F=D9=90=E2=80=8E=09Arabisches Kasra=09ARABI=
C KASRA
> U+0651 (1617)=09=E2=80=8F=D9=91=E2=80=8E=09Arabisches Schadda=09ARA=
BIC SHADDA
> U+0652 (1618)=09=E2=80=8F=D9=92=E2=80=8E=09Arabisches Sukun=09ARABI=
C SUKUN
>=20
> All these characters doesn't appear. Or I can see them shortly if t=
he cursor is on one of them.

Please show an example of text where you'd like them to show.  (I
don't speak Arabic.)





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 05 Jul 2012 17:21:01 +0000
Resent-Message-ID: <handler.11860.B11860.134150886123041 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>, Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134150886123041
          (code B ref 11860); Thu, 05 Jul 2012 17:21:01 +0000
Received: (at 11860) by debbugs.gnu.org; 5 Jul 2012 17:21:01 +0000
Received: from localhost ([127.0.0.1]:50879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Smpjg-0005zZ-TK
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 13:21:01 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:47096)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Smpje-0005zQ-2b
	for 11860 <at> debbugs.gnu.org; Thu, 05 Jul 2012 13:20:59 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M6P008006J8ZX00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Thu, 05 Jul 2012 20:16:02 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.210.75]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M6P008M66MQ1NL0@HIDDEN>;
	Thu, 05 Jul 2012 20:16:02 +0300 (IDT)
Date: Thu, 05 Jul 2012 20:16:05 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <14231341502795@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83r4sq2koa.fsf@HIDDEN>
References: <14231341502795@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

[Please always CC the bug address, so that all this information gets
recorded by the bug tracker.]

> From: Steffan <smias@HIDDEN>
> Date: Thu, 05 Jul 2012 17:39:55 +0200
> 
> When I chose the input-method "arabic" and then type only the TWO characters "u" then "X" (capital Letter) I get
> - for 'u' : as expected "Ayin" (it looks like a mirror-inverted "3")
> - and for 'X' : I get nothing! It should appear the diacritic sign "Sukun" above the letter "Ayin". ("Sukun" looks like a small circle.)
 
Yes, I see this also.  Strange, it sounds like we compose these two
characters, but the resulting grapheme cluster is incorrect.  I hope
Handa-san (CC'ed) could look into this.

> THE BUG SIMILAR IN HEBREW:
> 
> It's strange:
> 
> I choose "hebrew-full" as input-method.
> 
> - After typing 'f' I get KAF
> - then by typing d I get GIMMEL
> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!
> - and If I then type anything else (like DALET) the three points disappear!

This I don't see on my Windows machine.  Hebrew is displayed correctly
for me.  This is in 'emacs -Q", right?  If not, please try in "emacs -Q".

> I Linux I installed some additional packages two display arabic correctly. Maybe I have to install packages for windows - but wich? 

No additional packages are needed for Windows, the Uniscribe shaping
engine, which Emacs uses on Windows, supports everything.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 05 Jul 2012 17:59:02 +0000
Resent-Message-ID: <handler.11860.B11860.134151113926174 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, Kenichi Handa <handa@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134151113926174
          (code B ref 11860); Thu, 05 Jul 2012 17:59:02 +0000
Received: (at 11860) by debbugs.gnu.org; 5 Jul 2012 17:58:59 +0000
Received: from localhost ([127.0.0.1]:50915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmqKP-0006o6-Tn
	for submit <at> debbugs.gnu.org; Thu, 05 Jul 2012 13:58:59 -0400
Received: from forward9.mail.yandex.net ([77.88.61.48]:52802)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1SmqKM-0006nv-4f
	for 11860 <at> debbugs.gnu.org; Thu, 05 Jul 2012 13:58:56 -0400
Received: from web3e.yandex.ru (web3e.yandex.ru [77.88.60.145])
	by forward9.mail.yandex.net (Yandex) with ESMTP id 3DB2CCE1AF4;
	Thu,  5 Jul 2012 21:53:59 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341510839; bh=WDhX7UAQ48fc495dJZ40pakZKr78qUEhj/jx47zD55s=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=s8VdtxVUVqnxWgpBsSEGPx+svSFlE1jNMzAeVjcS/a3XD/6lcLXSkhwb9bBUgiFGI
	rujioqCK+ToMtCjWMeXJjebozXNHi9JeB7noK7FiyHb+EGaPn9o7olz5DKsfPcGaP/
	L0zZK5pD1OlYTnbMP2oxYy+ZKXouC5dsc/xHBREg=
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web3e.yandex.ru (Yandex) with ESMTP id D3D35820044;
	Thu,  5 Jul 2012 21:53:58 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1341510839; bh=WDhX7UAQ48fc495dJZ40pakZKr78qUEhj/jx47zD55s=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=s8VdtxVUVqnxWgpBsSEGPx+svSFlE1jNMzAeVjcS/a3XD/6lcLXSkhwb9bBUgiFGI
	rujioqCK+ToMtCjWMeXJjebozXNHi9JeB7noK7FiyHb+EGaPn9o7olz5DKsfPcGaP/
	L0zZK5pD1OlYTnbMP2oxYy+ZKXouC5dsc/xHBREg=
Received: from [46.115.48.25] ([46.115.48.25]) by web3e.yandex.ru with HTTP;
	Thu, 05 Jul 2012 21:53:58 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <66681341510838@HIDDEN>
Date: Thu, 05 Jul 2012 19:53:58 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)



> [Please always CC the bug address, so that all this information gets
> recorded by the bug tracker.]
> 
>> From: Steffan <smias@HIDDEN>
>> Date: Thu, 05 Jul 2012 17:39:55 +0200
>>
>> When I chose the input-method "arabic" and then type only the TWO characters "u" then "X" (capital Letter) I get
>> - for 'u' : as expected "Ayin" (it looks like a mirror-inverted "3")
>> - and for 'X' : I get nothing! It should appear the diacritic sign "Sukun" above the letter "Ayin". ("Sukun" looks like a small circle.)
> 
> Yes, I see this also. Strange, it sounds like we compose these two
> characters, but the resulting grapheme cluster is incorrect. I hope
> Handa-san (CC'ed) could look into this.

The bug seems to bee (bigger ? smaller?) : The "Harakat" (diacritcs) don't appear at all. If you type 'X' ("Sukun" the small circle) in the (in the arabic mode) you get a strange sign (that indicates that emacs can't display the character), the same thing by the other "Harakat" ('Q','W','E','R','A','S','X' and  '`' (this is for ARABIC SHADDA)).

>> THE BUG SIMILAR IN HEBREW:
>>
>> It's strange:
>>
>> I choose "hebrew-full" as input-method.
>>
>> - After typing 'f' I get KAF
>> - then by typing d I get GIMMEL
>> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!
>> - and If I then type anything else (like DALET) the three points disappear!
> 
> This I don't see on my Windows machine. Hebrew is displayed correctly
> for me. This is in 'emacs -Q", right? If not, please try in "emacs -Q".
I've tried it with "emacs -q" : nothing has changed in the two bugs (hebrew and arabic).

> 
>> I Linux I installed some additional packages two display arabic correctly. Maybe I have to install packages for windows - but wich?
> 
> No additional packages are needed for Windows, the Uniscribe shaping
> engine, which Emacs uses on Windows, supports everything.


 -- 





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 05 Aug 2012 05:36:01 +0000
Resent-Message-ID: <handler.11860.B11860.13441449427707 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, Kenichi Handa <handa@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13441449427707
          (code B ref 11860); Sun, 05 Aug 2012 05:36:01 +0000
Received: (at 11860) by debbugs.gnu.org; 5 Aug 2012 05:35:42 +0000
Received: from localhost ([127.0.0.1]:34394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SxtV7-00020F-OD
	for submit <at> debbugs.gnu.org; Sun, 05 Aug 2012 01:35:42 -0400
Received: from forward5.mail.yandex.net ([77.88.46.21]:47083)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1SxtV4-000205-9p
	for 11860 <at> debbugs.gnu.org; Sun, 05 Aug 2012 01:35:40 -0400
Received: from web8d.yandex.ru (web8d.yandex.ru [77.88.47.186])
	by forward5.mail.yandex.net (Yandex) with ESMTP id 438AE12012DA;
	Sun,  5 Aug 2012 09:27:51 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1344144471; bh=W+1dxEDm2+i0Ktohu3aJ53+NrIn83PJlgwVyEDqemcU=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=fOMqVmCHWHLT4u76PuSViLGjNH3I3+YXJePvFR5T5pUhPhxbqwZTtQkuuA7W0MC/j
	lTUPtCZBgQ6LhAibpcRbcVr5YYzBhQwFtolE0IoYweHmE8CbbUesUlcNOJFWWKZ7/C
	dkkP6tLG+tq2o7RRHoqhe2nFclpj/RGtK/5AvBQg=
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web8d.yandex.ru (Yandex) with ESMTP id C1B41500818A;
	Sun,  5 Aug 2012 09:27:50 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1344144471; bh=W+1dxEDm2+i0Ktohu3aJ53+NrIn83PJlgwVyEDqemcU=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=fOMqVmCHWHLT4u76PuSViLGjNH3I3+YXJePvFR5T5pUhPhxbqwZTtQkuuA7W0MC/j
	lTUPtCZBgQ6LhAibpcRbcVr5YYzBhQwFtolE0IoYweHmE8CbbUesUlcNOJFWWKZ7/C
	dkkP6tLG+tq2o7RRHoqhe2nFclpj/RGtK/5AvBQg=
Received: from [46.115.50.224] ([46.115.50.224]) by web8d.yandex.ru with HTTP; 
	Sun, 05 Aug 2012 09:27:49 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <349641344144469@HIDDEN>
Date: Sun, 05 Aug 2012 07:27:49 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Hallo again.

I just wanted to ask you about the bug. Are there any news?

Thanks

> [Please always CC the bug address, so that all this information gets
> recorded by the bug tracker.]
> 
>> From: Steffan <smias@HIDDEN>
>> Date: Thu, 05 Jul 2012 17:39:55 +0200
>>
>> When I chose the input-method "arabic" and then type only the TWO characters "u" then "X" (capital Letter) I get
>> - for 'u' : as expected "Ayin" (it looks like a mirror-inverted "3")
>> - and for 'X' : I get nothing! It should appear the diacritic sign "Sukun" above the letter "Ayin". ("Sukun" looks like a small circle.)
> 
> Yes, I see this also. Strange, it sounds like we compose these two
> characters, but the resulting grapheme cluster is incorrect. I hope
> Handa-san (CC'ed) could look into this.
> 
>> THE BUG SIMILAR IN HEBREW:
>>
>> It's strange:
>>
>> I choose "hebrew-full" as input-method.
>>
>> - After typing 'f' I get KAF
>> - then by typing d I get GIMMEL
>> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!
>> - and If I then type anything else (like DALET) the three points disappear!
> 
> This I don't see on my Windows machine. Hebrew is displayed correctly
> for me. This is in 'emacs -Q", right? If not, please try in "emacs -Q".
> 
>> I Linux I installed some additional packages two display arabic correctly. Maybe I have to install packages for windows - but wich?
> 
> No additional packages are needed for Windows, the Uniscribe shaping
> engine, which Emacs uses on Windows, supports everything.


 -- 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 05 Aug 2012 15:58:01 +0000
Resent-Message-ID: <handler.11860.B11860.134418227329933 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, handa@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134418227329933
          (code B ref 11860); Sun, 05 Aug 2012 15:58:01 +0000
Received: (at 11860) by debbugs.gnu.org; 5 Aug 2012 15:57:53 +0000
Received: from localhost ([127.0.0.1]:35704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sy3DE-0007mj-GO
	for submit <at> debbugs.gnu.org; Sun, 05 Aug 2012 11:57:52 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:48316)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1Sy3DA-0007mX-4O
	for 11860 <at> debbugs.gnu.org; Sun, 05 Aug 2012 11:57:50 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M8A00C00GXACA00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 05 Aug 2012 18:49:58 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M8A00BTEHB8ZRC0@HIDDEN>;
	Sun, 05 Aug 2012 18:49:56 +0300 (IDT)
Date: Sun, 05 Aug 2012 18:49:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <349641344144469@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <834nohbaor.fsf@HIDDEN>
References: <349641344144469@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: 11860 <at> debbugs.gnu.org,Kenichi Handa <handa@HIDDEN>
> Date: Sun, 05 Aug 2012 07:27:49 +0200
> 
> Hallo again.
> 
> I just wanted to ask you about the bug. Are there any news?

No, sorry.  We are still waiting for Handa-san to look at this.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa.kenichi@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 13 Aug 2012 00:11:01 +0000
Resent-Message-ID: <handler.11860.B11860.13448166463746 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13448166463746
          (code B ref 11860); Mon, 13 Aug 2012 00:11:01 +0000
Received: (at 11860) by debbugs.gnu.org; 13 Aug 2012 00:10:46 +0000
Received: from localhost ([127.0.0.1]:52090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T0iF3-0000yM-HP
	for submit <at> debbugs.gnu.org; Sun, 12 Aug 2012 20:10:45 -0400
Received: from na3sys010aog101.obsmtp.com ([74.125.245.70]:43544)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa.kenichi@HIDDEN>) id 1T0iF0-0000yA-9V
	for 11860 <at> debbugs.gnu.org; Sun, 12 Aug 2012 20:10:44 -0400
Received: from mail-pb0-f49.google.com ([209.85.160.49]) (using TLSv1) by
	na3sys010aob101.postini.com ([74.125.244.12]) with SMTP
	ID DSNKUChEA7hnlXtws6O419C58skvzJxPj8o5@HIDDEN;
	Sun, 12 Aug 2012 17:02:12 PDT
Received: by pbbrq8 with SMTP id rq8so4877406pbb.8
	for <11860 <at> debbugs.gnu.org>; Sun, 12 Aug 2012 17:02:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=aist.go.jp; s=google;
	h=from:to:cc:subject:in-reply-to:date:message-id:mime-version
	:content-type; bh=I+Glf4IME4q9nXSCQ560xACVK5uElVclCuc3mCjXTH0=;
	b=ksS0qRPaf8BCS+8sv4Ke87YHHOQxhEWTY9h2OjUeEqtmkImY4v0d0cCr0lddhZ9zXG
	o3OHhQnyGq6pdge73iyUp1X6zxXOiWeG11QCy6750LXCoa1/ihf0DMaxHUrjwgD+RdwE
	CjB17lUepD0G3pGzNQmdJp6h2BM3lYTHKtIoA=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:cc:subject:in-reply-to:date:message-id:mime-version
	:content-type:x-gm-message-state;
	bh=I+Glf4IME4q9nXSCQ560xACVK5uElVclCuc3mCjXTH0=;
	b=N2IqnT7EWVs+8QYP6+6WdAZx/G6aA595qrIJGRh29YW+X/twCz9CMzgd8wzWDvsShf
	62R2SG5t+Zrmx9vA0YQddSS7bv7Ni8Y0N7mIK/NYwmE/07kTakdNEEF1ng9C8MefFCLN
	YjZvRIizDOXljkE3kX0NchQcD5bQDwzmiARfS8Zxc+AuCo3Vy0ebAhWqZstrbJwMbRbQ
	YlY3iSnUjECTisAfflP929fzZ0qml9wfywVfxsTCkw55hm8wzfP4LcQu6dWkJk4c94lB
	IPEg/BEnLcdp+C5kWI6Yb/XOP9n91pX5AdlzvjbTZ4ulGf9Kr3Y8dA9lqEYVe4HfVQZ4
	cA7A==
Received: by 10.68.116.48 with SMTP id jt16mr29862001pbb.101.1344816130569;
	Sun, 12 Aug 2012 17:02:10 -0700 (PDT)
Received: from etlken ([150.29.148.131])
	by mx.google.com with ESMTPS id rg5sm4144798pbc.61.2012.08.12.17.02.08
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sun, 12 Aug 2012 17:02:09 -0700 (PDT)
From: Kenichi Handa <handa.kenichi@HIDDEN>
In-Reply-To: <834nohbaor.fsf@HIDDEN> (message from Eli Zaretskii on Sun,
	05 Aug 2012 18:49:56 +0300)
Date: Mon, 13 Aug 2012 09:02:06 +0900
Message-ID: <tl7628nslq9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQkVgBaaZAe+Uxqpfdm3GUnt/mSo424U4hlDpXBGYpPSa+fI6xHePrGzEknpeYuu/6Eg/8uF
X-Spam-Score: -4.2 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

In article <834nohbaor.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > I just wanted to ask you about the bug. Are there any news?

> No, sorry.  We are still waiting for Handa-san to look at this.

I'm very sorry for the late response.  I was just back from
Europe.  I'll start investigating this problem soon.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 18 Aug 2012 02:46:02 +0000
Resent-Message-ID: <handler.11860.B11860.134525795421828 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa.kenichi@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134525795421828
          (code B ref 11860); Sat, 18 Aug 2012 02:46:02 +0000
Received: (at 11860) by debbugs.gnu.org; 18 Aug 2012 02:45:54 +0000
Received: from localhost ([127.0.0.1]:36271 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2Z2w-0005g0-8p
	for submit <at> debbugs.gnu.org; Fri, 17 Aug 2012 22:45:54 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:46165)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T2Z2t-0005fs-7R
	for 11860 <at> debbugs.gnu.org; Fri, 17 Aug 2012 22:45:52 -0400
Received: from [150.29.149.7] (port=63005 helo=ubuntu)
	by fencepost.gnu.org with esmtpa (Exim 4.71)
	(envelope-from <handa@HIDDEN>)
	id 1T2Z2r-0005q8-QU; Fri, 17 Aug 2012 22:45:50 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <tl7628nslq9.fsf@HIDDEN> (message from Kenichi Handa on Mon,
	13 Aug 2012 09:02:06 +0900)
Date: Sat, 18 Aug 2012 11:45:27 +0900
Message-ID: <87393kgbp4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

In article <tl7628nslq9.fsf@HIDDEN>, Kenichi Handa <handa.kenichi@HIDDEN=
.jp> writes:

> I'm very sorry for the late response.  I was just back from
> Europe.  I'll start investigating this problem soon.

I first confirmed that the described problems of Arabic and
Hebrew occur with Emacs running on Windows.  Typing C-u C-x
=3D on the first Arabic character (U+0639) showed that "Courier
New" font is used for it, and showed this composition
information.

Composed with the following character(s) "=D9=92" using this font:
  uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-iso=
10646-1
by these glyphs:
  [0 1 1593 969 8 1 8 12 4 nil]
  [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

Next, I used the same "Courier New" font on GNU/Linux, and
specified it for Arabic as this with Emacs running on
GNU/Linux:
  (set-fontset-font t 'arabic '("courier new"  . "unicode-bmp"))
With this setting, Emacs correctly displayed Arabic, and
typing C-u C-x =3D on U+0639 showed this composition
information.

Composed with the following character(s) "=D9=92" using this font:
  xft:-monotype-Courier New-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 1593 969 8 2 8 4 4 nil]
  [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]

Each vector is a GLYPH described in the docstring of
composition-get-gstring as this:
----------------------------------------------------------------------
GLYPH is a vector whose elements have this form:
    [ FROM-IDX TO-IDX C CODE WIDTH LBEARING RBEARING ASCENT DESCENT
      [ [X-OFF Y-OFF WADJUST] | nil] ]
where
    FROM-IDX and TO-IDX are used internally and should not be touched.
    C is the character of the glyph.
    CODE is the glyph-code of C in FONT-OBJECT.
    WIDTH thru DESCENT are the metrics (in pixels) of the glyph.
    X-OFF and Y-OFF are offsets to the base position for the glyph.
    WADJUST is the adjustment to the normal width of the glyph.
----------------------------------------------------------------------

So, apparently Emacs on Windows and GNU/Linux uses the
different metrics of glyphs.  As the shaper on GNU/Linux
(m17n-lib library) works correctly for the same font, and
the other applications on Windows have no problem, I suspect
that the problem is in Emacs' interface with uniscribe
(w32font.c or w32uniscribe.c).

If this problem happens only for bidi scripts, one
possibility is that Emacs's rendering engine (xdisp.c)
expects glyphs in a glyph-string are rendered in that order
from left to right, but the returned glyph-string on Windows
should be rendered in reverse order.  For instance, in the
above case, we may have to render glyphs in this order
(diacritical mark first):

  [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
  [0 1 1593 969 8 1 8 12 4 nil]

I think the further debugging must be done by those who
knows uniscribe, w32font.c, and w32uniscribe.c.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 18 Aug 2012 07:15:01 +0000
Resent-Message-ID: <handler.11860.B11860.134527404418716 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134527404418716
          (code B ref 11860); Sat, 18 Aug 2012 07:15:01 +0000
Received: (at 11860) by debbugs.gnu.org; 18 Aug 2012 07:14:04 +0000
Received: from localhost ([127.0.0.1]:36518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2dES-0004ro-7F
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 03:14:04 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:43332)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T2dEP-0004rH-Q1
	for 11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 03:14:02 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M8X00M00W2N9S00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 10:13:59 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M8X00LOSW3AY8B0@HIDDEN>;
	Sat, 18 Aug 2012 10:13:59 +0300 (IDT)
Date: Sat, 18 Aug 2012 10:14:11 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87393kgbp4.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83txw0aczg.fsf@HIDDEN>
References: <87393kgbp4.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> Date: Sat, 18 Aug 2012 11:45:27 +0900
> 
> So, apparently Emacs on Windows and GNU/Linux uses the
> different metrics of glyphs.  As the shaper on GNU/Linux
> (m17n-lib library) works correctly for the same font, and
> the other applications on Windows have no problem, I suspect
> that the problem is in Emacs' interface with uniscribe
> (w32font.c or w32uniscribe.c).
> 
> If this problem happens only for bidi scripts, one
> possibility is that Emacs's rendering engine (xdisp.c)
> expects glyphs in a glyph-string are rendered in that order
> from left to right, but the returned glyph-string on Windows
> should be rendered in reverse order.

If this is the case, how come we display the diacriticals correctly on
Windows in other cases, e.g. with Hebrew?

> For instance, in the above case, we may have to render glyphs in
> this order (diacritical mark first):
> 
>   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>   [0 1 1593 969 8 1 8 12 4 nil]

Could you propose a patch to try this isea?

> I think the further debugging must be done by those who
> knows uniscribe, w32font.c, and w32uniscribe.c.

Alas, I don't think we have such people on board, not with high enough
availability, anyway.  If you could kindly suggest where to look, what
variables to display, etc., I could try doing that, and reporting the
results.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 18 Aug 2012 09:20:02 +0000
Resent-Message-ID: <handler.11860.B11860.134528158229401 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134528158229401
          (code B ref 11860); Sat, 18 Aug 2012 09:20:02 +0000
Received: (at 11860) by debbugs.gnu.org; 18 Aug 2012 09:19:42 +0000
Received: from localhost ([127.0.0.1]:36672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2fC2-0007eA-BH
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 05:19:42 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:50139)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T2fC0-0007e3-2M
	for 11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 05:19:41 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:64426 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T2fBx-0007NR-9h; Sat, 18 Aug 2012 05:19:38 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83txw0aczg.fsf@HIDDEN> (message from Eli Zaretskii on Sat,
	18 Aug 2012 10:14:11 +0300)
Date: Sat, 18 Aug 2012 18:19:19 +0900
Message-ID: <87k3wwimlk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

In article <83txw0aczg.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > From: Kenichi Handa <handa@HIDDEN>
> > Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> > Date: Sat, 18 Aug 2012 11:45:27 +0900
> > 
> > So, apparently Emacs on Windows and GNU/Linux uses the
> > different metrics of glyphs.  As the shaper on GNU/Linux
> > (m17n-lib library) works correctly for the same font, and
> > the other applications on Windows have no problem, I suspect
> > that the problem is in Emacs' interface with uniscribe
> > (w32font.c or w32uniscribe.c).
> > 
> > If this problem happens only for bidi scripts, one
> > possibility is that Emacs's rendering engine (xdisp.c)
> > expects glyphs in a glyph-string are rendered in that order
> > from left to right, but the returned glyph-string on Windows
> > should be rendered in reverse order.

> If this is the case, how come we display the diacriticals correctly on
> Windows in other cases, e.g. with Hebrew?

For Hebrew too, on Windows, I see the same problem as what
Steffan <smias@HIDDEN> reported:

In article <349641344144469@HIDDEN>, Steffan <smias@HIDDEN> writes:
>>> I choose "hebrew-full" as input-method.
>>> 
>>> - After typing 'f' I get KAF
>>> - then by typing d I get GIMMEL
>>> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!

If you don't face with that problem, perhaps we are using
the different font.  C-u C-x = tells that "courier new" is
used for hebrew too in my case.

> > For instance, in the above case, we may have to render glyphs in
> > this order (diacritical mark first):
> > 
> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> >   [0 1 1593 969 8 1 8 12 4 nil]

> Could you propose a patch to try this isea?

I have no idea.  :-(

> > I think the further debugging must be done by those who
> > knows uniscribe, w32font.c, and w32uniscribe.c.

> Alas, I don't think we have such people on board, not with high enough
> availability, anyway.  If you could kindly suggest where to look, what
> variables to display, etc., I could try doing that, and reporting the
> results.

I've just read the function uniscribe_shape in
w32uniscribe.c.  It seems that these are the key API for
uniscribe:

* ScriptItemize -- no idea what is this
* ScriptShape -- perhaps for glyph substitution (GSUB features of opentype)
* ScriptPlace -- perhaps for glyph positioning (GPOS features of opentype)

So at first please check the documentation of ScriptShape
and figure out how it works for bidi script; i.e. what order
does it expect for input, and what order does it produce.

Next please find the meaning of this code fragment:

		  /* Detect clusters, for linking codes back to
		     characters.  */
		  if (attributes[j].fClusterStart)
		    {
		      while (from < nchars_in_run && clusters[from] < j)
			from++;
		      if (from >= nchars_in_run)
			from = to = nchars_in_run - 1;
		      else
			{
			  int k;
			  to = nchars_in_run - 1;
			  for (k = from + 1; k < nchars_in_run; k++)
			    {
			      if (clusters[k] > j)
				{
				  to = k - 1;
				  break;
				}
			    }
			}
		    }

The comment refer to "clusters".  I don't know what it
exactly means in uniscribe, but I guess it relates to
grapheme cluster, and if so, this part seems to relates to
the ordering of glyphs in this kind of grapheme clauster:

  [0 1 1593 969 8 1 8 12 4 nil]
  [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 18 Aug 2012 15:34:02 +0000
Resent-Message-ID: <handler.11860.B11860.134530399532635 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134530399532635
          (code B ref 11860); Sat, 18 Aug 2012 15:34:02 +0000
Received: (at 11860) by debbugs.gnu.org; 18 Aug 2012 15:33:15 +0000
Received: from localhost ([127.0.0.1]:37598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2l1X-0008UJ-70
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 11:33:15 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:47444)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T2l1U-0008UA-He
	for 11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 11:33:14 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M8Y00I00IWO1200@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 18:33:08 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M8Y00HLOJ77Y720@HIDDEN>;
	Sat, 18 Aug 2012 18:33:08 +0300 (IDT)
Date: Sat, 18 Aug 2012 18:33:21 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87k3wwimlk.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <837gswgqpq.fsf@HIDDEN>
References: <87k3wwimlk.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, handa@HIDDEN
> Date: Sat, 18 Aug 2012 18:19:19 +0900
> 
> > If this is the case, how come we display the diacriticals correctly on
> > Windows in other cases, e.g. with Hebrew?
> 
> For Hebrew too, on Windows, I see the same problem as what
> Steffan <smias@HIDDEN> reported:
> 
> In article <349641344144469@HIDDEN>, Steffan <smias@HIDDEN> writes:
> >>> I choose "hebrew-full" as input-method.
> >>> 
> >>> - After typing 'f' I get KAF
> >>> - then by typing d I get GIMMEL
> >>> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUBUTS) not below the GIMMEL but the KAF!
> 
> If you don't face with that problem, perhaps we are using
> the different font.  C-u C-x = tells that "courier new" is
> used for hebrew too in my case.

"Courier New" is the font that is used, and I still don't see the
problem.  The HEBREW POINT QUBUTS is displayed below GIMEL, as I'd
expect.

> I've just read the function uniscribe_shape in
> w32uniscribe.c.  It seems that these are the key API for
> uniscribe:
> 
> * ScriptItemize -- no idea what is this

It breaks the string to be displayed into individually shapeable
chunks, called "items".  We then pass each chunk to Uniscribe
separately for shaping.

> * ScriptShape -- perhaps for glyph substitution (GSUB features of opentype)

http://msdn.microsoft.com/en-us/library/windows/desktop/dd368564%28v=vs.85%29.aspx
says that this function "Generates glyphs and visual attributes for a
Unicode run".

> * ScriptPlace -- perhaps for glyph positioning (GPOS features of opentype)
> 
> So at first please check the documentation of ScriptShape
> and figure out how it works for bidi script; i.e. what order
> does it expect for input, and what order does it produce.

From the above page:

  If fLogicalOrder is set to TRUE in the SCRIPT_ANALYSIS structure, the
  function always generates glyphs in the same order as the original
  Unicode characters. If fLogicalOrder is set to FALSE, the function
  generates right-to-left items in reverse order so that ScriptTextOut
  does not have to reverse them before calling ExtTextOut.

And w32uniscribe.c sets that flag to TRUE a few lines before it calls
ScriptShape, because Emacs itself reorders characters:

  for (i = 0; i < nitems; i++)
    {
      int nglyphs, nchars_in_run;
      nchars_in_run = items[i+1].iCharPos - items[i].iCharPos;
      /* Force ScriptShape to generate glyphs in the same order as
	 they are in the input LGSTRING, which is in the logical
	 order.  */
      items[i].a.fLogicalOrder = 1;  <<<<<<<<<<<<<<<<<<<<<<<<

      /* Context may be NULL here, in which case the cache should be
         used without needing to select the font.  */
      result = ScriptShape (context, &(uniscribe_font->cache),
			    chars + items[i].iCharPos, nchars_in_run,
			    max_glyphs - done_glyphs, &(items[i].a),
			    glyphs, clusters, attributes, &nglyphs);

> Next please find the meaning of this code fragment:
> 
> 		  /* Detect clusters, for linking codes back to
> 		     characters.  */
> 		  if (attributes[j].fClusterStart)
> 		    {
> 		      while (from < nchars_in_run && clusters[from] < j)
> 			from++;
> 		      if (from >= nchars_in_run)
> 			from = to = nchars_in_run - 1;
> 		      else
> 			{
> 			  int k;
> 			  to = nchars_in_run - 1;
> 			  for (k = from + 1; k < nchars_in_run; k++)
> 			    {
> 			      if (clusters[k] > j)
> 				{
> 				  to = k - 1;
> 				  break;
> 				}
> 			    }
> 			}
> 		    }
> 
> The comment refer to "clusters".  I don't know what it
> exactly means in uniscribe, but I guess it relates to
> grapheme cluster, and if so, this part seems to relates to
> the ordering of glyphs in this kind of grapheme clauster:
> 
>   [0 1 1593 969 8 1 8 12 4 nil]
>   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

No, they are character clusters, not grapheme clusters.  They could be
similar (or even identical) to grapheme clusters, but I'm not sure,
because I have a very vague idea about both.  You can find some
details here:

   http://msdn.microsoft.com/en-us/library/windows/desktop/dd317792%28v=vs.85%29.aspx

I hope this will allow you to understand the meaning of the above
code, by looking at how the results are used in the calls to
LGLYPH_SET_* macros right below the above snippet.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Jason Rumney <jasonr@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 03:04:02 +0000
Resent-Message-ID: <handler.11860.B11860.1345345393372 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.1345345393372
          (code B ref 11860); Sun, 19 Aug 2012 03:04:02 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 03:03:13 +0000
Received: from localhost ([127.0.0.1]:38089 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2vnE-00005x-Cj
	for submit <at> debbugs.gnu.org; Sat, 18 Aug 2012 23:03:12 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:52531)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jasonrumney@HIDDEN>) id 1T2vnB-00005o-Bf
	for 11860 <at> debbugs.gnu.org; Sat, 18 Aug 2012 23:03:10 -0400
Received: by pbbrr4 with SMTP id rr4so6661006pbb.3
	for <11860 <at> debbugs.gnu.org>; Sat, 18 Aug 2012 20:03:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type;
	bh=F5WNpmiatsueHKU5aCb/9TgXhZpN1fnfRgnN82txhgw=;
	b=ExaJ88GjiQc49S32qN+MkcCzN95AnlqTtBnEZPiLINLPSCIkyoqtppcVd0HzBTIN07
	m6o59SNoHa1YQoT9HHHNEZHFrs0GmCvYLTAiDQ7lMjLI5PMRXWJ3HJnDB9FtozUrjcly
	N0PSmp1ABAYdQ2DjG3Iq5oCCtFQXfUZLUpI/Nplhg2p39YbtLkoHoYJMIDNhZoBpbDRW
	/FIfa8xWBGGqnEezBYjAt+5kz9UmbZzgY4zMfD4EX+rvRcefV6GrHCNa5FCsJgYLyzKg
	WsZiVbsBJUHSHSxylT4j/I+Wj/qoMyfp97RjD1AQ+dCsuanwnT+y6N2r9YsLk/y0Nfc4
	9NTA==
Received: by 10.68.234.98 with SMTP id ud2mr23347834pbc.165.1345345382866;
	Sat, 18 Aug 2012 20:03:02 -0700 (PDT)
Received: from home.jasonrumney.net ([180.75.28.25])
	by mx.google.com with ESMTPS id qx8sm8141659pbc.63.2012.08.18.20.02.58
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 18 Aug 2012 20:03:01 -0700 (PDT)
Received: by home.jasonrumney.net (Postfix, from userid 1000)
	id 9CD461BE0; Sun, 19 Aug 2012 11:02:52 +0800 (MYT)
From: Jason Rumney <jasonr@HIDDEN>
References: <349071341393469@HIDDEN> <87k3wwimlk.fsf@HIDDEN>
Date: Sun, 19 Aug 2012 11:02:52 +0800
In-Reply-To: <87k3wwimlk.fsf@HIDDEN> (Kenichi Handa's message of "Sat, 18 Aug
	2012 18:19:19 +0900")
Message-ID: <87393j7fdv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Kenichi Handa <handa@HIDDEN> writes:

> In article <83txw0aczg.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:
>
>> > From: Kenichi Handa <handa@HIDDEN>
>> > Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
>> > Date: Sat, 18 Aug 2012 11:45:27 +0900
>> > 
>> > So, apparently Emacs on Windows and GNU/Linux uses the
>> > different metrics of glyphs.

Right, but adding the offsets to the corresponding metrics, we get the
same result with both the Windows and GNU/Linux cases, except for the
total height of the font, which I think is because Windows counts
inter-line spacing, while on GNU/Linux, that is separate.

So I'm not sure that this is causing us problems (see Eli's report about
Hebrew), it's just a case of a different reference point being used
between Windows and GNU/Linux.

> For Hebrew too, on Windows, I see the same problem as what
> Steffan <smias@HIDDEN> reported:

If you are seeing something different than Eli for Hebrew with the same
font, then I suspect the cause is linked with the version of Uniscribe
that is installed. Maybe diacritic handling for Hebrew and Arabic is a
more recent addition to Uniscribe than the basic support for those
languages.

>> > For instance, in the above case, we may have to render glyphs in
>> > this order (diacritical mark first):
>> > 
>> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>> >   [0 1 1593 969 8 1 8 12 4 nil]

I'm curious as to how we ended up with the same C entry in those
vectors.  Could this be causing us problems later on?  The glyph index
is correct (comparing to the GNU/Linux version), but I wonder if
Uniscribe is referring back to the character at some point and tripping
up because it has been changed.

> I've just read the function uniscribe_shape in
> w32uniscribe.c.  It seems that these are the key API for
> uniscribe:
>
> * ScriptItemize -- no idea what is this

This should be a no-op on Emacs, as we already split the string into
LGSTRING components. But if it is not called, subsequent uniscribe
operations fail, so it must also be doing some initialization of
internal structures as well.

> * ScriptShape -- perhaps for glyph substitution (GSUB features of opentype)
> * ScriptPlace -- perhaps for glyph positioning (GPOS features of opentype)

Yes, I think that is correct.

> So at first please check the documentation of ScriptShape
> and figure out how it works for bidi script; i.e. what order
> does it expect for input, and what order does it produce.
>
> Next please find the meaning of this code fragment:
>
> 		  /* Detect clusters, for linking codes back to
> 		     characters.  */
> 		  if (attributes[j].fClusterStart)
> 		    {
> 		      while (from < nchars_in_run && clusters[from] < j)
> 			from++;
> 		      if (from >= nchars_in_run)
> 			from = to = nchars_in_run - 1;
> 		      else
> 			{
> 			  int k;
> 			  to = nchars_in_run - 1;
> 			  for (k = from + 1; k < nchars_in_run; k++)
> 			    {
> 			      if (clusters[k] > j)
> 				{
> 				  to = k - 1;
> 				  break;
> 				}
> 			    }
> 			}
> 		    }
>
> The comment refer to "clusters".  I don't know what it
> exactly means in uniscribe, but I guess it relates to
> grapheme cluster, and if so, this part seems to relates to
> the ordering of glyphs in this kind of grapheme clauster:
>
>   [0 1 1593 969 8 1 8 12 4 nil]
>   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

That seems to be correct.  Maybe this is the code that is changing the
character code to 1593.  I seem to recall that something like this was
required for Indic languages to let Emacs know which characters had been
linked back into one glyph.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 04:35:01 +0000
Resent-Message-ID: <handler.11860.B11860.13453508947916 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13453508947916
          (code B ref 11860); Sun, 19 Aug 2012 04:35:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 04:34:54 +0000
Received: from localhost ([127.0.0.1]:38126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T2xDu-00023Z-2T
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 00:34:52 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:52695)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mituharu@HIDDEN>) id 1T2xDq-00023N-2V
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 00:34:48 -0400
Received: from church.math.s.chiba-u.ac.jp (church [133.82.132.36])
	by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 80A6AC055D;
	Sun, 19 Aug 2012 13:34:36 +0900 (JST)
Date: Sun, 19 Aug 2012 13:34:36 +0900
Message-ID: <wltxvzmrdv.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
In-Reply-To: <87393kgbp4.fsf@HIDDEN>
References: <349071341393469@HIDDEN> <tl7628nslq9.fsf@HIDDEN>
	<87393kgbp4.fsf@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
	(=?UTF-8?Q?Shij=C5=8D?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
	MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>>>> On Sat, 18 Aug 2012 11:45:27 +0900, Kenichi Handa <handa@HIDDEN> said:

> If this problem happens only for bidi scripts, one
> possibility is that Emacs's rendering engine (xdisp.c)
> expects glyphs in a glyph-string are rendered in that order
> from left to right, but the returned glyph-string on Windows
> should be rendered in reverse order.  For instance, in the
> above case, we may have to render glyphs in this order
> (diacritical mark first):

>   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>   [0 1 1593 969 8 1 8 12 4 nil]

The font backend driver on the Mac port is supposed to support
right-to-left shaping (including for non-BMP chars, though I don't
have a good example), and it gives the following result (diacritical
mark comes first) for Courier New 13pt:

  mac-ct:-*-Courier New-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 1618 760 8 0 2 11 -8 [-1 2 1]]
  [0 1 1593 969 8 0 6 5 4 [-1 0 8]]

In the above example, the grapheme cluster consists of glyphs having
non-nil adjustments (the last element of each vector).  In the
function Ffont_shape_gstring, there is some code that merges grapheme
clusters generated by a font backend driver so each of them starts
with a glyph having non-nil adjustment (except the first grapheme
cluster of the gstring).  I think this is not correct especially for
right-to-left text, and I disabled that part in the Mac port.  Could
you give an example if you think this part is necessary?

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 07:33:01 +0000
Resent-Message-ID: <handler.11860.B11860.134536157226720 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134536157226720
          (code B ref 11860); Sun, 19 Aug 2012 07:33:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 07:32:52 +0000
Received: from localhost ([127.0.0.1]:38230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T300C-0006wv-8u
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 03:32:52 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:52657)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mituharu@HIDDEN>) id 1T3008-0006wi-UY
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 03:32:51 -0400
Received: from church.math.s.chiba-u.ac.jp (church [133.82.132.36])
	by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id B44AFC055D;
	Sun, 19 Aug 2012 16:32:38 +0900 (JST)
Date: Sun, 19 Aug 2012 16:32:38 +0900
Message-ID: <wlvcgfuyjt.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
In-Reply-To: <837gswgqpq.fsf@HIDDEN>
References: <87k3wwimlk.fsf@HIDDEN>
	<837gswgqpq.fsf@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
	(=?UTF-8?Q?Shij=C5=8D?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
	MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>>>> On Sat, 18 Aug 2012 18:33:21 +0300, Eli Zaretskii <eliz@HIDDEN> said:

> And w32uniscribe.c sets that flag to TRUE a few lines before it calls
> ScriptShape, because Emacs itself reorders characters:

>   for (i = 0; i < nitems; i++)
>     {
>       int nglyphs, nchars_in_run;
>       nchars_in_run = items[i+1].iCharPos - items[i].iCharPos;
>       /* Force ScriptShape to generate glyphs in the same order as
> 	 they are in the input LGSTRING, which is in the logical
> 	 order.  */
>       items[i].a.fLogicalOrder = 1;  <<<<<<<<<<<<<<<<<<<<<<<<

IIUC, the resulting gstring should be ordered as:

  * in the logical order between the grapheme clusters because Emacs
    itself reorders them.
  * in the physical order between the glyphs inside a single grapheme
    cluster because drawing and metric calculation routines for a
    grapheme cluster do not know about the direction.

The font backend driver on the Mac port is implemented as above, and
seems to work correctly.  The APIs used for shaping generates glyphs
either in the physical order (Core Text) or in the logical order
(NSLayoutManager), so I had to reorder the information about the
generated glyphs locally by maintaining a permutation on the glyph
indices.  You can look at the variable `permutation' in the function
`mac_ctfont_shape' (for Core Text, in src/macfont.c) or the function
`mac_font_shape_1' (For NSLayoutManager, in src/macappkit.m) in the
source of the Mac port.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 12:53:02 +0000
Resent-Message-ID: <handler.11860.B11860.134538072324332 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134538072324332
          (code B ref 11860); Sun, 19 Aug 2012 12:53:02 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 12:52:03 +0000
Received: from localhost ([127.0.0.1]:38393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T34z4-0006KP-H4
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 08:52:03 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:41155)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T34z1-0006K0-UY
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 08:52:01 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:54672 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T34yt-0000bH-FN; Sun, 19 Aug 2012 08:51:51 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <wlvcgfuyjt.wl%mituharu@HIDDEN> (message from
	YAMAMOTO Mitsuharu on Sun, 19 Aug 2012 16:32:38 +0900)
Date: Sun, 19 Aug 2012 21:51:44 +0900
Message-ID: <87boi7hwnz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

In article <wlvcgfuyjt.wl%mituharu@HIDDEN>, YAMAMOTO Mitsuharu <mituharu@HIDDEN> writes:

> IIUC, the resulting gstring should be ordered as:

>   * in the logical order between the grapheme clusters because Emacs
>     itself reorders them.

>   * in the physical order between the glyphs inside a single grapheme
>     cluster because drawing and metric calculation routines for a
>     grapheme cluster do not know about the direction.

Almost right.  We can't tell that the order in a grapheme
cluster is in physical or logical; it's just in "drawing"
order.

For instance, when we have an Arabic text "AbCdEf"
(consonants:uppercase, vowels:lowercase), the gstring that
should be returned by a shaper should be "XYZ" (where X is
actually a grapheme cluster for "Ab", Y for "Cd", Z for
"Ef").  Here how glyphs in each cluster should be ordered
depends on metrics of glyphs.  If a glyph for "A" has
positive xadvance, and a glyph for "b" has negative lbearing
(and zero xadvance), the order should be "Ab" because the
display engine should draw A and b in that order to make b
aligned on/under A.  But, if a glyph for "b" has
non-negative lbearing (and zero xadvance), the order should
be "bA".

> The font backend driver on the Mac port is implemented as above, and
> seems to work correctly.  The APIs used for shaping generates glyphs
> either in the physical order (Core Text) or in the logical order
> (NSLayoutManager), so I had to reorder the information about the
> generated glyphs locally by maintaining a permutation on the glyph
> indices.  You can look at the variable `permutation' in the function
> `mac_ctfont_shape' (for Core Text, in src/macfont.c) or the function
> `mac_font_shape_1' (For NSLayoutManager, in src/macappkit.m) in the
> source of the Mac port.

I don't have the codes of Mac port at hand now.  How did you
identify boundaries of grapheme clusters?  Do Core Text and
NSLayoutManager return that information?

Anyway, perhaps w32uniscribe.c should do the similar
reordering, or should be fixed to do that reordering
correctly.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 13:21:02 +0000
Resent-Message-ID: <handler.11860.B11860.134538244526712 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134538244526712
          (code B ref 11860); Sun, 19 Aug 2012 13:21:02 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 13:20:45 +0000
Received: from localhost ([127.0.0.1]:38440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T35Qq-0006wm-IE
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 09:20:44 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:41940)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T35Qo-0006wf-II
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 09:20:43 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:54699 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T35Qe-0005tm-LG; Sun, 19 Aug 2012 09:20:33 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <837gswgqpq.fsf@HIDDEN> (message from Eli Zaretskii on Sat,
	18 Aug 2012 18:33:21 +0300)
Date: Sun, 19 Aug 2012 22:20:27 +0900
Message-ID: <878vdbhvc4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

In article <837gswgqpq.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > * ScriptPlace -- perhaps for glyph positioning (GPOS features of opentype)
> > 
> > So at first please check the documentation of ScriptShape
> > and figure out how it works for bidi script; i.e. what order
> > does it expect for input, and what order does it produce.

> From the above page:

>   If fLogicalOrder is set to TRUE in the SCRIPT_ANALYSIS structure, the
>   function always generates glyphs in the same order as the original
>   Unicode characters. If fLogicalOrder is set to FALSE, the function
>   generates right-to-left items in reverse order so that ScriptTextOut
>   does not have to reverse them before calling ExtTextOut.

> And w32uniscribe.c sets that flag to TRUE a few lines before it calls
> ScriptShape, because Emacs itself reorders characters:

I see, so the output ScriptShape is still in logical order,
and that explains this glyph order (the glyph code 969 is
for consonant and 760 is for vowel).

  [0 1 1593 969 8 1 8 12 4 nil]
  [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

But, then...

>   If fLogicalOrder is set to FALSE, the function
>   generates right-to-left items in reverse order so that ScriptTextOut
>   does not have to reverse them before calling ExtTextOut.

Doesn't it mean that, if fLogicalOrder is TRUE, ScriptPlace
generates xadvance and left/right bearing while expecting
that the glyphs are re-ordered before actually rendered?

> You can find some details here:

>    http://msdn.microsoft.com/en-us/library/windows/desktop/dd317792%28v=vs.85%29.aspx

> I hope this will allow you to understand the meaning of the above
> code, by looking at how the results are used in the calls to
> LGLYPH_SET_* macros right below the above snippet.

Thank you for the pointer.  I have questions in the section
"Display Text Using Uniscribe" in that page.  The step 2
says:

    1. Extract an array of bidirectional embedding levels,
       one per range. The embedding level is given by
       (SCRIPT_ITEM) si.(SCRIPT_ANALYSIS) a. (SCRIPT_STATE)
       s.uBidiLevel.

From what and how to extract that array?

    2. Pass this array to ScriptLayout to generate a map of
       visual positions to logical positions.

There's no place in Emacs that calls ScriptLayout.  Isn't it
a problem?

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 13:38:02 +0000
Resent-Message-ID: <handler.11860.B11860.134538347328097 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Jason Rumney <jasonr@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134538347328097
          (code B ref 11860); Sun, 19 Aug 2012 13:38:02 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 13:37:53 +0000
Received: from localhost ([127.0.0.1]:38454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T35hQ-0007J8-Gi
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 09:37:52 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42086)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T35hJ-0007Iw-HA
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 09:37:48 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:54718 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T35h9-0006Xu-GJ; Sun, 19 Aug 2012 09:37:36 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <87393j7fdv.fsf@HIDDEN> (message from Jason Rumney on Sun,
	19 Aug 2012 11:02:52 +0800)
Date: Sun, 19 Aug 2012 22:37:29 +0900
Message-ID: <87628fhujq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

In article <87393j7fdv.fsf@HIDDEN>, Jason Rumney <jasonr@HIDDEN> writes:

>>> > So, apparently Emacs on Windows and GNU/Linux uses the
>>> > different metrics of glyphs.

> Right, but adding the offsets to the corresponding metrics, we get the
> same result with both the Windows and GNU/Linux cases,

?? I don't understand what you mean.

> except for the
> total height of the font, which I think is because Windows counts
> inter-line spacing, while on GNU/Linux, that is separate.

I'm not sure, but currently, y-axis metrics are not the problem.

> > For Hebrew too, on Windows, I see the same problem as what
> > Steffan <smias@HIDDEN> reported:

> If you are seeing something different than Eli for Hebrew with the same
> font, then I suspect the cause is linked with the version of Uniscribe
> that is installed. Maybe diacritic handling for Hebrew and Arabic is a
> more recent addition to Uniscribe than the basic support for those
> languages.

Perhaps.  I tested it on Windows 7, and the tested version
of Emacs was 24.0.?, not the latest one.  I'm now
downloading the latest Windows binary of Emacs.

>>> > For instance, in the above case, we may have to render glyphs in
>>> > this order (diacritical mark first):
>>> > 
>>> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>>> >   [0 1 1593 969 8 1 8 12 4 nil]

> I'm curious as to how we ended up with the same C entry in those
> vectors.  Could this be causing us problems later on?

I don't think so.  As far as I remember, the C entries in a
glyphs string is not used after being shaped.

> The glyph index
> is correct (comparing to the GNU/Linux version), but I wonder if
> Uniscribe is referring back to the character at some point and tripping
> up because it has been changed.

I have no idea about that.

> > The comment refer to "clusters".  I don't know what it
> > exactly means in uniscribe, but I guess it relates to
> > grapheme cluster, and if so, this part seems to relates to
> > the ordering of glyphs in this kind of grapheme clauster:
> >
> >   [0 1 1593 969 8 1 8 12 4 nil]
> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

> That seems to be correct.

Why?  As the xadvance of the first glyph is 8, and
the xoffset of the second glyph is 1, the second glyph is
never drawn at the same column as the first glyph.

> Maybe this is the code that is changing the
> character code to 1593.  I seem to recall that something like this was
> required for Indic languages to let Emacs know which characters had been
> linked back into one glyph.

Is that Windows specific?

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Jason Rumney <jasonr@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 16:17:01 +0000
Resent-Message-ID: <handler.11860.B11860.13453930009109 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13453930009109
          (code B ref 11860); Sun, 19 Aug 2012 16:17:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 16:16:40 +0000
Received: from localhost ([127.0.0.1]:38705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T38B6-0002Mq-DW
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 12:16:40 -0400
Received: from mail-pb0-f44.google.com ([209.85.160.44]:48809)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jasonrumney@HIDDEN>) id 1T38B4-0002Mj-HQ
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 12:16:39 -0400
Received: by pbbrr4 with SMTP id rr4so7352294pbb.3
	for <11860 <at> debbugs.gnu.org>; Sun, 19 Aug 2012 09:16:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
	:user-agent:mime-version:content-type:content-transfer-encoding;
	bh=XYSffzc6syAiu+LhNvXpaETgW7+J63bgt0L7yu1TBs4=;
	b=zXTRzuxTw/2IDOP7BHBQndIwpHHa8qdlokMK3xwrcFm8fI3EnDO72aHJ6gt63z8Cay
	RuqlIcZDPK3/JcmezXs7TGPSXZXTBQc9EpSP0RixDRRtPpjVspEtSXT+96zIpUGEwtc/
	fdebhYv2Wt91YaRyaVpGme+69OkQ05uzyah9KPO4xmUP+wAh4CC/aQzTWNsf4O1OGPzW
	Tg2Ckhz3adUdeW7vZlIBWPx/hm23Aw9wOvQyM6Rgt5H5Xe6mioSjGEP3Zrw8CGoK7SAM
	lKRTWIIP2cA9quwMER+QRR9wWvpaLEO4lQHGmMleHCbXCkDZe58YB4xpzdAq7Y7apglP
	iiSQ==
Received: by 10.68.223.164 with SMTP id qv4mr27531114pbc.20.1345392988999;
	Sun, 19 Aug 2012 09:16:28 -0700 (PDT)
Received: from home.jasonrumney.net ([180.75.28.25])
	by mx.google.com with ESMTPS id hx9sm9217900pbc.68.2012.08.19.09.16.25
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sun, 19 Aug 2012 09:16:28 -0700 (PDT)
Received: by home.jasonrumney.net (Postfix, from userid 1000)
	id 3D4DB1D97; Mon, 20 Aug 2012 00:16:19 +0800 (MYT)
From: Jason Rumney <jasonr@HIDDEN>
References: <87628fhujq.fsf@HIDDEN>
Date: Mon, 20 Aug 2012 00:16:19 +0800
In-Reply-To: <87628fhujq.fsf@HIDDEN> (Kenichi Handa's message of "Sun, 19 Aug
	2012 22:37:29 +0900")
Message-ID: <87pq6m6eng.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Kenichi Handa <handa@HIDDEN> writes:

> In article <87393j7fdv.fsf@HIDDEN>, Jason Rumney <jasonr@HIDDEN> writes:
>
>>>> > So, apparently Emacs on Windows and GNU/Linux uses the
>>>> > different metrics of glyphs.
>
>> Right, but adding the offsets to the corresponding metrics, we get the
>> same result with both the Windows and GNU/Linux cases,
>
> ?? I don't understand what you mean.

I mean comparing the two cases below:

Composed with the following character(s) "=D9=92" using this font:
  uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-iso=
10646-1
by these glyphs:
  [0 1 1593 969 8 1 8 12 4 nil]
  [0 1 1593 760 0 3 6 12 4 [1 -2 0]]

Composed with the following character(s) "=D9=92" using this font:
  xft:-monotype-Courier New-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 1593 969 8 2 8 4 4 nil]
  [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]

WIDTH =3D same in both cases.
(LBEARING - X-OFF) =3D off by 1 in both cases
(RBEARING - X-OFF) =3D off by 1 in second case

The off-by one is probably a different rounding convention used within
the respective font drawing engines.

>> > The comment refer to "clusters".  I don't know what it
>> > exactly means in uniscribe, but I guess it relates to
>> > grapheme cluster, and if so, this part seems to relates to
>> > the ordering of glyphs in this kind of grapheme clauster:
>> >
>> >   [0 1 1593 969 8 1 8 12 4 nil]
>> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>
>> That seems to be correct.
>
> Why?  As the xadvance of the first glyph is 8, and

I wasn't referring to the values in the vector, but your analysis, as
you said "I don't know ... but I guess ...".

>> Maybe this is the code that is changing the
>> character code to 1593.  I seem to recall that something like this was
>> required for Indic languages to let Emacs know which characters had been
>> linked back into one glyph.
>
> Is that Windows specific?

I don't think so. At the time, it wasn't entirely clear to me what the
requirements were for font backends, and I tried various things while
trying to figure out what the general font handling code was
expecting from the font_script function. I eventually determined that
Emacs was treating a run of glyphs that came back from font_shape with
the same character code as a single glyph for cursor movement purposes,
which prevented display problems when moving the cursor through text.
The implementation may have changed since then to make this unneccesary.

Or maybe I am misremembering, and it was more about the difficulty in
figuring out which glyphs correspond to which characters in cases where
there is not a one to one correspondance, and I didn't attempt to
resolve this difficulty because the current code seems to be working.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 17:58:01 +0000
Resent-Message-ID: <handler.11860.B11860.134539903417580 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Jason Rumney <jasonr@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134539903417580
          (code B ref 11860); Sun, 19 Aug 2012 17:58:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 17:57:14 +0000
Received: from localhost ([127.0.0.1]:38763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T39kP-0004ZV-BI
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 13:57:14 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:61139)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T39kL-0004ZK-SZ
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 13:57:12 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M9000K00KGTBH00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 20:56:58 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9000KCHKIX6C20@HIDDEN>;
	Sun, 19 Aug 2012 20:56:58 +0300 (IDT)
Date: Sun, 19 Aug 2012 20:56:57 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87393j7fdv.fsf@HIDDEN>
Message-id: <83txvydaty.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <349071341393469@HIDDEN> <87k3wwimlk.fsf@HIDDEN>
	<87393j7fdv.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Jason Rumney <jasonr@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  11860 <at> debbugs.gnu.org,  smias@ya=
ndex.ru
> Date: Sun, 19 Aug 2012 11:02:52 +0800
>=20
> Kenichi Handa <handa@HIDDEN> writes:
>=20
> > In article <83txw0aczg.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>=
 writes:
> >
> >> > From: Kenichi Handa <handa@HIDDEN>
> >> > Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> >> > Date: Sat, 18 Aug 2012 11:45:27 +0900
> >> >=20
> >> > So, apparently Emacs on Windows and GNU/Linux uses the
> >> > different metrics of glyphs.
>=20
> Right, but adding the offsets to the corresponding metrics, we get =
the
> same result with both the Windows and GNU/Linux cases

I think the results of addition are not relevant to the problem.  The
problem is that the diacriticals and/or vowels are not drawn at
correct horizontal positions.  The values of the offsets are directly
relevant to that, because they describe how many pixels to advance
after drawing each glyph.  By contrast, the sum of the offsets will b=
e
always approximately the same, since the entire grapheme cluster
occupies a single character cell.

> So I'm not sure that this is causing us problems (see Eli's report =
about
> Hebrew), it's just a case of a different reference point being used
> between Windows and GNU/Linux.

My report about Hebrew is not relevant either; see below.

> If you are seeing something different than Eli for Hebrew with the =
same
> font, then I suspect the cause is linked with the version of Uniscr=
ibe
> that is installed. Maybe diacritic handling for Hebrew and Arabic i=
s a
> more recent addition to Uniscribe than the basic support for those
> languages.

That appears to be the case, indeed.  My initial attempts to reproduc=
e
this were on XP SP3, where Hebrew rendering appeared to be OK.  I now
tried on Windows 7 and there I see the problem with Hebrew as well.

Moreover, when I type the Hebrew characters specified by the OP, I
don't see that the uniscribe_shape function is called at all on XP: a
breakpoint inside it never breaks.  On Windows 7, that function does
get called.

Jason, how can I find out whether Uniscribe is used for rendering
Hebrew, or why doesn't Emacs call uniscribe_shape?  (I know about
uniscribe_font->cache, but I don't see that function called even if I
start Emacs with a breakpoint in it, so it seems the cache is not the
issue here.  The cache is per application, right?)

For Arabic characters in the recipe, uniscribe_shape _is_ called on
XP.  I guess that's why the problem with Arabic is visible on both XP
and Windows7.

For the record, here's the output of "C-u C-x =3D" on XP for the Hebr=
ew
character composition mentioned earlier:

=09       position: 193 of 194 (99%), column: 1
=09      character: =D7=92=E2=80=8E (displayed as =D7=92=E2=80=8E) (c=
odepoint 1490, #o2722, #x5d2)
      preferred charset: iso-8859-8 (ISO/IEC 8859/8)
  code point in charset: 0xE2
=09=09 syntax: w =09which means: word
=09       category: .:Base, R:Right-to-left (strong)
=09       to input: type "d" with hebrew-full
=09    buffer code: #xD7 #x92
=09      file code: #xE2 (encoded by coding system hebrew-iso-8bit-do=
s)
=09=09display: composed to form "=D7=92=D6=BB" (see below)

  Composed with the following character(s) "=D6=BB" using this font:
    uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*=
-c-*-iso8859-8
  by these glyphs:
    [0 1 1490 674 8 0 6 12 4 nil]
    [0 1 1467 663 8 0 7 12 4 [-8 0 0]]

Compare with the output on Windows 7 to see the differences:

=09       position: 193 of 194 (99%), column: 1
=09      character: =D7=92=E2=80=8E (displayed as =D7=92=E2=80=8E) (c=
odepoint 1490, #o2722, #x5d2)
      preferred charset: unicode (Unicode (ISO10646))
  code point in charset: 0x05D2
=09=09 syntax: w =09which means: word
=09       category: .:Base, R:Right-to-left (strong)
=09       to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME=
"
=09    buffer code: #xD7 #x92
=09      file code: not encodable by coding system iso-latin-1-dos
=09=09display: composed to form "=D7=92=D6=BB" (see below)

  Composed with the following character(s) "=D6=BB" using this font:
    uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*=
-c-*-iso10646-1
  by these glyphs:
    [0 1 1490 674 8 1 6 12 4 nil]
    [0 1 1490 663 0 2 6 12 4 nil]

And here's the output of "C-u C-x =3D" for the Arabic character Ayin
with sukun on XP:

=09       position: 197 of 198 (99%), column: 0
=09      character: =D8=B9=E2=80=8E (displayed as =D8=B9=E2=80=8E) (c=
odepoint 1593, #o3071, #x639)
      preferred charset: unicode (Unicode (ISO10646))
  code point in charset: 0x0639
=09=09 syntax: w =09which means: word
=09       category: .:Base, R:Right-to-left (strong), b:Arabic
=09    buffer code: #xD8 #xB9
=09      file code: not encodable by coding system hebrew-iso-8bit-do=
s
=09=09display: composed to form "=D8=B9=D9=92" (see below)

  Composed with the following character(s) "=D9=92" using this font:
    uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*=
-c-*-iso10646-1
  by these glyphs:
    [0 1 1593 969 8 2 8 12 4 nil]
    [0 1 1593 1028 0 3 6 12 4 nil]

Note that the glyph index of the sukun are different from the Windows
7 output.  I have no idea why.

> >> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> >> >   [0 1 1593 969 8 1 8 12 4 nil]
>=20
> I'm curious as to how we ended up with the same C entry in those
> vectors.

That's because the code in uniscribe_shape does this:

=09=09  LGLYPH_SET_CHAR (lglyph, chars[items[i].iCharPos
=09=09=09=09=09=09 + from]);

and it does that for all the 'nglyphs' glyphs produced by ScriptPlace=
.

As Handa-san writes, the character code is never used, because we hav=
e
the font glyph index and its metrics, so I think this is a non-issue.

> Could this be causing us problems later on?  The glyph index
> is correct (comparing to the GNU/Linux version), but I wonder if
> Uniscribe is referring back to the character at some point and trip=
ping
> up because it has been changed.

Uniscribe cannot refer to this code, because Uniscribe doesn't use
LGSTRING, IIUC.  Or does it?  (If it does, please show where in the
code it uses that value.)

> > =09=09  /* Detect clusters, for linking codes back to
> > =09=09     characters.  */
> > =09=09  if (attributes[j].fClusterStart)
> > =09=09    {
> > =09=09      while (from < nchars_in_run && clusters[from] < j)
> > =09=09=09from++;
> > =09=09      if (from >=3D nchars_in_run)
> > =09=09=09from =3D to =3D nchars_in_run - 1;
> > =09=09      else
> > =09=09=09{
> > =09=09=09  int k;
> > =09=09=09  to =3D nchars_in_run - 1;
> > =09=09=09  for (k =3D from + 1; k < nchars_in_run; k++)
> > =09=09=09    {
> > =09=09=09      if (clusters[k] > j)
> > =09=09=09=09{
> > =09=09=09=09  to =3D k - 1;
> > =09=09=09=09  break;
> > =09=09=09=09}
> > =09=09=09    }
> > =09=09=09}
> > =09=09    }
> >
> > The comment refer to "clusters".  I don't know what it
> > exactly means in uniscribe, but I guess it relates to
> > grapheme cluster, and if so, this part seems to relates to
> > the ordering of glyphs in this kind of grapheme clauster:
> >
> >   [0 1 1593 969 8 1 8 12 4 nil]
> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>=20
> That seems to be correct.  Maybe this is the code that is changing =
the
> character code to 1593.

It doesn't _change_ the character code, it simply sets it to the code
of the base character.  But again, I don't think this is relevant.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 18:23:01 +0000
Resent-Message-ID: <handler.11860.B11860.134540057619703 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>, Jason Rumney <jasonr@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134540057619703
          (code B ref 11860); Sun, 19 Aug 2012 18:23:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 18:22:56 +0000
Received: from localhost ([127.0.0.1]:38773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3A9I-00057j-0B
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:22:56 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:56852)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3A9D-00057Z-Vg
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:22:54 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M9000L00LJVLC00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 21:22:41 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9000LSSLPSLE00@HIDDEN>;
	Sun, 19 Aug 2012 21:22:41 +0300 (IDT)
Date: Sun, 19 Aug 2012 21:22:40 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87393kgbp4.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sjbid9n3.fsf@HIDDEN>
References: <87393kgbp4.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> Date: Sat, 18 Aug 2012 11:45:27 +0900
> 
> So, apparently Emacs on Windows and GNU/Linux uses the
> different metrics of glyphs.  As the shaper on GNU/Linux
> (m17n-lib library) works correctly for the same font, and
> the other applications on Windows have no problem, I suspect
> that the problem is in Emacs' interface with uniscribe
> (w32font.c or w32uniscribe.c).

I agree.

> If this problem happens only for bidi scripts

Can you suggest how to test this hypothesis?

> one possibility is that Emacs's rendering engine (xdisp.c) expects
> glyphs in a glyph-string are rendered in that order from left to
> right, but the returned glyph-string on Windows should be rendered
> in reverse order.

You may be right, but it's hard to be sure.  At least the advances[]
array returned by ScriptPlace seems to point into that direction.
Here's what I see in the debugger:

  Breakpoint 8, uniscribe_shape (lgstring=55041941) at w32uniscribe.c:373
  373                       LGLYPH_SET_CHAR (lglyph, chars[items[i].iCharPos
  (gdb) p items@nitems
  $1 = {0x35195a0}
  (gdb) p items[0]@nitems
  $2 = {{
      iCharPos = 0,
      a = {
	eScript = 26,
	fRTL = 1,
	fLayoutRTL = 1,
	fLinkBefore = 0,
	fLinkAfter = 0,
	fLogicalOrder = 1,
	fNoGlyphIndex = 0,
	s = {
	  uBidiLevel = 1,
	  fOverrideDirection = 0,
	  fInhibitSymSwap = 0,
	  fCharShape = 0,
	  fDigitSubstitute = 0,
	  fInhibitLigate = 0,
	  fDisplayZWG = 0,
	  fArabicNumContext = 0,
	  fGcpClusters = 0,
	  fReserved = 0,
	  fEngineReserved = 0
	}
      }
    }}
  (gdb) p nitems
  $3 = 1
  (gdb) p nglyphs
  $4 = 2
  (gdb) p advances[0]@nglyphs
  $5 = {8, 0}
  (gdb) p offsets[0]@nglyphs
  $6 = {{
      du = 0,
      dv = 0
    }, {
      du = 1,
      dv = -2
    }}
  (gdb) p chars[0]@2
  $7 = L"\x639\x652"

(Note that the fRTL member of items[0].a is set to TRUE.)  My
understanding of the advances[] array is that it gives, for each glyph
in the cluster, the number of pixels to advance to the right after
drawing the glyph.  So the fact that it is 8 for the first (base)
character and zero for the second one tells me that this grapheme
cluster is supposed to be rendered in reverse order: first the Sukun,
then Ayin at the same location, and then advance by 8 pixels for the
next character.  Is this correct?

If it is correct, then how come the glyphs shown on GNU/Linux also
have non-zero value of xadvance:

  [0 1 1593 969 8 2 8 4 4 nil]
  [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]

The value 8 after 969 comes directly from xadvance, as this code in
ftfont.c shows:

      LGLYPH_SET_WIDTH (lglyph, g->xadv >> 6);

Is the meaning of xadvance in libotf different from its meaning in
Uniscribe?  (And why is the glyph string element called WIDTH instead
of ADVANCE?)  If not, what am I missing?

> For instance, in the above case, we may have to render glyphs in
> this order (diacritical mark first):
> 
>   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>   [0 1 1593 969 8 1 8 12 4 nil]

I tried the naive patch below, but it didn't quite work.  It seems
like those changes somehow prevented character composition.  Perhaps
Handa-san could give me some guidance here.

> I think the further debugging must be done by those who
> knows uniscribe, w32font.c, and w32uniscribe.c.

It's very hard, given that glyph-string documentation leaves a lot to
be desired, and the way its various components are used during drawing
is also left without clear documentation.  E.g., this:

    FROM-IDX and TO-IDX are used internally and should not be touched.

is not really helpful for explaining what are FROM-IDX and TO-IDX, so
how can I figure out whether the code you asked about is doing TRT?
And without knowing what is each component of glyph-string used for
during drawing, how can I compare the values produced by Uniscribe
APIs with what glyph-string needs?  If someone could explain all those
things, it would make debugging possible.  Otherwise, I'm just
randomly poking around...

Here's the patch I tried:

--- src/w32uniscribe.c~	2012-07-08 07:24:56.000000000 +0300
+++ src/w32uniscribe.c	2012-08-19 15:55:17.323623900 +0300
@@ -331,17 +331,13 @@ uniscribe_shape (Lisp_Object lgstring)
 		  Lisp_Object lglyph = LGSTRING_GLYPH (lgstring, lglyph_index);
 		  ABC char_metric;
 		  unsigned gl;
+		  int j1;
 
 		  if (NILP (lglyph))
 		    {
 		      lglyph = Fmake_vector (make_number (LGLYPH_SIZE), Qnil);
 		      LGSTRING_SET_GLYPH (lgstring, lglyph_index, lglyph);
 		    }
-		  /* Copy to a 32-bit data type to shut up the
-		     compiler warning in LGLYPH_SET_CODE about
-		     comparison being always false.  */
-		  gl = glyphs[j];
-		  LGLYPH_SET_CODE (lglyph, gl);
 
 		  /* Detect clusters, for linking codes back to
 		     characters.  */
@@ -365,6 +361,16 @@ uniscribe_shape (Lisp_Object lgstring)
 			    }
 			}
 		    }
+		  if (items[i].a.fRTL)
+		    j1 = to - (j - from);
+		  else
+		    j1 = j;
+
+		  /* Copy to a 32-bit data type to shut up the
+		     compiler warning in LGLYPH_SET_CODE about
+		     comparison being always false.  */
+		  gl = glyphs[j1];
+		  LGLYPH_SET_CODE (lglyph, gl);
 
 		  LGLYPH_SET_CHAR (lglyph, chars[items[i].iCharPos
 						 + from]);
@@ -372,13 +378,13 @@ uniscribe_shape (Lisp_Object lgstring)
 		  LGLYPH_SET_TO (lglyph, items[i].iCharPos + to);
 
 		  /* Metrics.  */
-		  LGLYPH_SET_WIDTH (lglyph, advances[j]);
+		  LGLYPH_SET_WIDTH (lglyph, advances[j1]);
 		  LGLYPH_SET_ASCENT (lglyph, font->ascent);
 		  LGLYPH_SET_DESCENT (lglyph, font->descent);
 
 		  result = ScriptGetGlyphABCWidth (context,
 						   &(uniscribe_font->cache),
-						   glyphs[j], &char_metric);
+						   glyphs[j1], &char_metric);
 		  if (result == E_PENDING && !context)
 		    {
 		      /* Cache incomplete... */
@@ -387,7 +393,7 @@ uniscribe_shape (Lisp_Object lgstring)
 		      old_font = SelectObject (context, FONT_HANDLE (font));
 		      result = ScriptGetGlyphABCWidth (context,
 						       &(uniscribe_font->cache),
-						       glyphs[j], &char_metric);
+						       glyphs[j1], &char_metric);
 		    }
 
 		  if (SUCCEEDED (result))
@@ -399,17 +405,17 @@ uniscribe_shape (Lisp_Object lgstring)
 		  else
 		    {
 		      LGLYPH_SET_LBEARING (lglyph, 0);
-		      LGLYPH_SET_RBEARING (lglyph, advances[j]);
+		      LGLYPH_SET_RBEARING (lglyph, advances[j1]);
 		    }
 
-		  if (offsets[j].du || offsets[j].dv)
+		  if (offsets[j1].du || offsets[j1].dv)
 		    {
 		      Lisp_Object vec;
 		      vec = Fmake_vector (make_number (3), Qnil);
-		      ASET (vec, 0, make_number (offsets[j].du));
-		      ASET (vec, 1, make_number (offsets[j].dv));
+		      ASET (vec, 0, make_number (offsets[j1].du));
+		      ASET (vec, 1, make_number (offsets[j1].dv));
 		      /* Based on what ftfont.c does... */
-		      ASET (vec, 2, make_number (advances[j]));
+		      ASET (vec, 2, make_number (advances[j1]));
 		      LGLYPH_SET_ADJUSTMENT (lglyph, vec);
 		    }
 		  else





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 18:46:02 +0000
Resent-Message-ID: <handler.11860.B11860.134540192321746 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134540192321746
          (code B ref 11860); Sun, 19 Aug 2012 18:46:02 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 18:45:23 +0000
Received: from localhost ([127.0.0.1]:38789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3AV1-0005eg-BM
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:45:23 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:65313)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3AUx-0005eW-EI
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:45:21 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M9000A00MQVVA00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 21:44:57 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9000AIDMQWJ180@HIDDEN>;
	Sun, 19 Aug 2012 21:44:57 +0300 (IDT)
Date: Sun, 19 Aug 2012 21:44:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <878vdbhvc4.fsf@HIDDEN>
Message-id: <83pq6md8lz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <878vdbhvc4.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
> Date: Sun, 19 Aug 2012 22:20:27 +0900
>=20
> >   If fLogicalOrder is set to FALSE, the function
> >   generates right-to-left items in reverse order so that ScriptTe=
xtOut
> >   does not have to reverse them before calling ExtTextOut.
>=20
> Doesn't it mean that, if fLogicalOrder is TRUE, ScriptPlace
> generates xadvance and left/right bearing while expecting
> that the glyphs are re-ordered before actually rendered?

It could mean that.  But it's still only a guess, as the documentatio=
n
is unclear.

> > You can find some details here:
>=20
> >    http://msdn.microsoft.com/en-us/library/windows/desktop/dd3177=
92%28v=3Dvs.85%29.aspx
>=20
> > I hope this will allow you to understand the meaning of the above
> > code, by looking at how the results are used in the calls to
> > LGLYPH_SET_* macros right below the above snippet.
>=20
> Thank you for the pointer.

Here are 3 more:

  http://maxradi.us/documents/uniscribe/
  http://www.catch22.net/tuts/uniscribe-mysteries
  http://www.catch22.net/tuts/more-uniscribe-mysteries

> I have questions in the section
> "Display Text Using Uniscribe" in that page.  The step 2
> says:
>=20
>     1. Extract an array of bidirectional embedding levels,
>        one per range. The embedding level is given by
>        (SCRIPT_ITEM) si.(SCRIPT_ANALYSIS) a. (SCRIPT_STATE)
>        s.uBidiLevel.
>=20
> From what and how to extract that array?

=46rom items[i].a.s.uBidiLevel.  I showed an example in an earlier
message, where you can see that uBidiLevel is 1 (i.e. RTL).

We don't use this information because Emacs reorders characters
itself, it doesn't need the UAX#9 implementation contained in
Uniscribe.

>     2. Pass this array to ScriptLayout to generate a map of
>        visual positions to logical positions.
>=20
> There's no place in Emacs that calls ScriptLayout.  Isn't it
> a problem?

I don't think so, at least not directly.  ScriptLayout actually draws
the shaped glyphs on the screen.  Emacs doesn't use it because it
draws the glyphs by itself, using the information in the glyph-string=
s
generated from the data returned by the shaping engine.  Or am I
missing something?

However, the ScriptLayout issue affects us indirectly because most
(all?) other applications do use ScriptLayout, where Emacs draws
glyphs by itself.  That is why one of the references above explicitly
says:

  pGoffset  [...] The application generally doesn=E2=80=99t have to p=
ay
      attention to these offsets at all. They are generated by
      ScriptPlace and used by ScriptTextOut, and all the application
      needs to do is keep track of the values in the meantime.

The problem is, Emacs does use "all these offsets" and other stuff,
and so we are being hit by their insufficient documentation.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 18:53:01 +0000
Resent-Message-ID: <handler.11860.B11860.134540237122394 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134540237122394
          (code B ref 11860); Sun, 19 Aug 2012 18:53:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 18:52:51 +0000
Received: from localhost ([127.0.0.1]:38797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3AcE-0005p9-Sl
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:52:51 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:44733)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3AcC-0005p1-EY
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:52:49 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M9000K00N1FRH00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 21:52:38 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9000K33N3PFQ70@HIDDEN>;
	Sun, 19 Aug 2012 21:52:38 +0300 (IDT)
Date: Sun, 19 Aug 2012 21:52:38 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87628fhujq.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83obm6d895.fsf@HIDDEN>
References: <87628fhujq.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: eliz@HIDDEN,  11860 <at> debbugs.gnu.org,  smias@HIDDEN
> Date: Sun, 19 Aug 2012 22:37:29 +0900
> 
> > > The comment refer to "clusters".  I don't know what it
> > > exactly means in uniscribe, but I guess it relates to
> > > grapheme cluster, and if so, this part seems to relates to
> > > the ordering of glyphs in this kind of grapheme clauster:
> > >
> > >   [0 1 1593 969 8 1 8 12 4 nil]
> > >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> 
> > That seems to be correct.
> 
> Why?  As the xadvance of the first glyph is 8, and
> the xoffset of the second glyph is 1, the second glyph is
> never drawn at the same column as the first glyph.

I agree with your analysis, but then it is unclear to me why the other
components of the vector are different between GNU/Linux and Windows 7.
Can you explain them?

For instance, this (Windows):

  [0 1 1593 969 8 1 8 12 4 nil]

vs this (GNU/Linux):

  [0 1 1593 969 8 2 8 4 4 nil]

raises the following questions:

 . why are the values of LBEARING different (1 vs 2)?
 . why are the values of ASCENT different (12 vs 4)?  The Windows code
   takes ASCENT and DESCENT values from the font -- is that correct?

The fonts are identical, so I'd expect identical values here, at least
for the base character.  It is hard to debug more complex portions of
the code when such basic values already differ.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Werner LEMBERG <wl@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 18:55:01 +0000
Resent-Message-ID: <handler.11860.B11860.134540245122532 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: eliz@HIDDEN
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134540245122532
          (code B ref 11860); Sun, 19 Aug 2012 18:55:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 18:54:11 +0000
Received: from localhost ([127.0.0.1]:38801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3AdX-0005rL-8e
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:54:11 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:53555)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <werner.lemberg@HIDDEN>) id 1T3AdV-0005rD-1D
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:54:09 -0400
Received: (qmail invoked by alias); 19 Aug 2012 18:53:58 -0000
Received: from p4FFA3062.dip.t-dialin.net (EHLO localhost) [79.250.48.98]
	by mail.gmx.net (mp020) with SMTP; 19 Aug 2012 20:53:58 +0200
X-Authenticated: #54312696
X-Provags-ID: V01U2FsdGVkX1/Y9Rs6Xe/Y/TMFunrMQTvkVNQo/Xk5EeK8+/jRH5
	ngaaV9YQVqhXhA
Date: Sun, 19 Aug 2012 20:53:54 +0200 (CEST)
Message-Id: <20120819.205354.418137785.wl@HIDDEN>
From: Werner LEMBERG <wl@HIDDEN>
In-Reply-To: <83pq6md8lz.fsf@HIDDEN>
References: <878vdbhvc4.fsf@HIDDEN>
	<83pq6md8lz.fsf@HIDDEN>
X-Mailer: Mew version 6.4rc1 on Emacs 24.0.92.1 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)


>   http://maxradi.us/documents/uniscribe/
>   http://www.catch22.net/tuts/uniscribe-mysteries
>   http://www.catch22.net/tuts/more-uniscribe-mysteries

I suggest to contact Behdad Esfahbod <behdad@HIDDEN>, developer of
the HarfBuzz library (which is used e.g. in Firefox for OpenType
layout).  He can probably help with explaining weird Uniscribe
behaviour.


    Werner




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 19 Aug 2012 18:56:01 +0000
Resent-Message-ID: <handler.11860.B11860.134540253622681 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Jason Rumney <jasonr@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134540253622681
          (code B ref 11860); Sun, 19 Aug 2012 18:56:01 +0000
Received: (at 11860) by debbugs.gnu.org; 19 Aug 2012 18:55:36 +0000
Received: from localhost ([127.0.0.1]:38809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3Aeu-0005tm-KN
	for submit <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:55:36 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:64612)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3Aer-0005tc-RH
	for 11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 14:55:34 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M9000300N43HM00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sun, 19 Aug 2012 21:54:51 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M90003Y6N7FEE10@HIDDEN>;
	Sun, 19 Aug 2012 21:54:51 +0300 (IDT)
Date: Sun, 19 Aug 2012 21:54:51 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87pq6m6eng.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83mx1qd85g.fsf@HIDDEN>
References: <87628fhujq.fsf@HIDDEN> <87pq6m6eng.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Jason Rumney <jasonr@HIDDEN>
> Cc: eliz@HIDDEN,  11860 <at> debbugs.gnu.org,  smias@HIDDEN
> Date: Mon, 20 Aug 2012 00:16:19 +0800
> 
> Or maybe I am misremembering, and it was more about the difficulty in
> figuring out which glyphs correspond to which characters in cases where
> there is not a one to one correspondance

This difficulty is indeed there.  How does libotf solve this problem?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Aug 2012 14:59:02 +0000
Resent-Message-ID: <handler.11860.B11860.134547470012539 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134547470012539
          (code B ref 11860); Mon, 20 Aug 2012 14:59:02 +0000
Received: (at 11860) by debbugs.gnu.org; 20 Aug 2012 14:58:20 +0000
Received: from localhost ([127.0.0.1]:40184 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3TQp-0003GB-91
	for submit <at> debbugs.gnu.org; Mon, 20 Aug 2012 10:58:20 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:42808)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T3TQl-0003G2-Js
	for 11860 <at> debbugs.gnu.org; Mon, 20 Aug 2012 10:58:16 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:60542 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T3TQV-0008WU-Th; Mon, 20 Aug 2012 10:58:00 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83mx1qd85g.fsf@HIDDEN> (message from Eli Zaretskii on Sun,
	19 Aug 2012 21:54:51 +0300)
Date: Mon, 20 Aug 2012 23:57:53 +0900
Message-ID: <87393hipam.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83mx1qd85g.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > Or maybe I am misremembering, and it was more about the difficulty in
> > figuring out which glyphs correspond to which characters in cases where
> > there is not a one to one correspondance

> This difficulty is indeed there.  How does libotf solve this problem?

If one GSUB feature converts the input gstring "AB" to "ab",
all what we can say is that the resulting glyph sequence
"ab" corresponds to "AB", and we can't say "a" corresponds
to "A" and "b" corresponds to "B".

So, m17nlib and libotf sets the same FROM and TO indices to
both "a" and "b" (in the above case, 0 and 1 respectively),
and thus they constitute a single grapheme cluster and Emacs
treat it as a single glyph on cursor movement.

But, when one GSUB feature converts "A" to "a" and another
convertes "B" to "b", "a" and "b" doesn't constitute a
grapheme cluster because they still have the different FROM
and TO indices.  Now, another GPOS features will be applied
to "b" to adjust its x/y offsets so that "b" will be placed
on "a".  In this case, it's up to an application to handle
them separately (the application should be able to put
cursor on "a" part and "b" part separately) or to handle
them as a single grapheme cluster.  Emacs does the latter by
forcing them to have the same FROM and TO indices (the code
mentioned by Yamamoto-san does it (in Ffont_shape_gstring
after calling font->driver->shape)).

---
Kenichi Handa
handa@HIDDEN







Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Aug 2012 17:18:02 +0000
Resent-Message-ID: <handler.11860.B11860.134548304727662 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134548304727662
          (code B ref 11860); Mon, 20 Aug 2012 17:18:02 +0000
Received: (at 11860) by debbugs.gnu.org; 20 Aug 2012 17:17:27 +0000
Received: from localhost ([127.0.0.1]:40277 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3VbS-0007C7-M0
	for submit <at> debbugs.gnu.org; Mon, 20 Aug 2012 13:17:27 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:61519)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3VbN-0007Bx-J1
	for 11860 <at> debbugs.gnu.org; Mon, 20 Aug 2012 13:17:25 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M9200200DB0SA00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Mon, 20 Aug 2012 20:16:58 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M92002NUDC9S900@HIDDEN>;
	Mon, 20 Aug 2012 20:16:58 +0300 (IDT)
Date: Mon, 20 Aug 2012 20:16:59 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87393hipam.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83393hcwl0.fsf@HIDDEN>
References: <87393hipam.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: jasonr@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> Date: Mon, 20 Aug 2012 23:57:53 +0900
> 
> In article <83mx1qd85g.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > > Or maybe I am misremembering, and it was more about the difficulty in
> > > figuring out which glyphs correspond to which characters in cases where
> > > there is not a one to one correspondance
> 
> > This difficulty is indeed there.  How does libotf solve this problem?
> 
> If one GSUB feature converts the input gstring "AB" to "ab",
> all what we can say is that the resulting glyph sequence
> "ab" corresponds to "AB", and we can't say "a" corresponds
> to "A" and "b" corresponds to "B".
> 
> So, m17nlib and libotf sets the same FROM and TO indices to
> both "a" and "b" (in the above case, 0 and 1 respectively),
> and thus they constitute a single grapheme cluster and Emacs
> treat it as a single glyph on cursor movement.

Thanks.  But I wasn't asking about LGLYPH_SET_FROM and LGLYPH_SET_TO,
I was asking about LGLYPH_SET_CHAR.  In the Windows implementation, we
assign the same codepoint there to all the glyphs in the grapheme
cluster, while on GNU/Linux you showed output that suggested we put
different character codepoints there.

> But, when one GSUB feature converts "A" to "a" and another
> convertes "B" to "b", "a" and "b" doesn't constitute a
> grapheme cluster because they still have the different FROM
> and TO indices.  Now, another GPOS features will be applied
> to "b" to adjust its x/y offsets so that "b" will be placed
> on "a".  In this case, it's up to an application to handle
> them separately (the application should be able to put
> cursor on "a" part and "b" part separately) or to handle
> them as a single grapheme cluster.  Emacs does the latter by
> forcing them to have the same FROM and TO indices (the code
> mentioned by Yamamoto-san does it (in Ffont_shape_gstring
> after calling font->driver->shape)).

Thanks.  I've spent the best part of the last day reading about font
metrics, trying to understand the meaning of every component of the
gstring object.  I still don't get all of it, though.  Specifically,
it is still largely unclear what do we use each component for in
drawing each glyph that belongs to a grapheme cluster.  One problem is
that terms like rbearing, lbearing, etc. are not always used in the
same sense as their definitions in digital typography references.

Could you please point to the documentation where the meaning of
gstring components is spelled out, or to code from which I could try
gleaning this information?  I see w32_compute_glyph_string_overhangs
and x_draw_composite_glyph_string_foreground in w32term.c -- are these
the places to look, or is there more?  What about lisp/composite.el --
is that still relevant for automatic compositions?

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 20 Aug 2012 17:25:02 +0000
Resent-Message-ID: <handler.11860.B11860.134548347028273 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: handa@HIDDEN, jasonr@HIDDEN
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134548347028273
          (code B ref 11860); Mon, 20 Aug 2012 17:25:02 +0000
Received: (at 11860) by debbugs.gnu.org; 20 Aug 2012 17:24:30 +0000
Received: from localhost ([127.0.0.1]:40293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3ViH-0007Lx-Qm
	for submit <at> debbugs.gnu.org; Mon, 20 Aug 2012 13:24:30 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:54328)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3ViG-0007Lq-FL
	for 11860 <at> debbugs.gnu.org; Mon, 20 Aug 2012 13:24:29 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M9200500DLOX500@HIDDEN> for
	11860 <at> debbugs.gnu.org; Mon, 20 Aug 2012 20:24:12 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M920052QDOCS280@HIDDEN>;
	Mon, 20 Aug 2012 20:24:12 +0300 (IDT)
Date: Mon, 20 Aug 2012 20:24:14 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83pq6md8lz.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <831uj1cw8x.fsf@HIDDEN>
References: <878vdbhvc4.fsf@HIDDEN> <83pq6md8lz.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Sun, 19 Aug 2012 21:44:56 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN
> 
> >     2. Pass this array to ScriptLayout to generate a map of
> >        visual positions to logical positions.
> > 
> > There's no place in Emacs that calls ScriptLayout.  Isn't it
> > a problem?
> 
> I don't think so, at least not directly.  ScriptLayout actually draws
> the shaped glyphs on the screen.  Emacs doesn't use it because it
> draws the glyphs by itself, using the information in the glyph-strings
> generated from the data returned by the shaping engine.  Or am I
> missing something?

Answering my own question here: yes, I did miss something.  We do call
the 'draw' method of the font driver, in w32term.c.  However, the
Windows implementation of this is on w32font.c, and it calls
ExtTextOutW, not ScriptTextOut.  Which might be a problem, hmm...

As for ScriptLayout, it is only needed for logical-to-visual
reordering of _items_, whereas we always pass to Uniscribe a chunk of
text that can only become a single item.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 21 Aug 2012 09:21:02 +0000
Resent-Message-ID: <handler.11860.B11860.134554085713226 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134554085713226
          (code B ref 11860); Tue, 21 Aug 2012 09:21:02 +0000
Received: (at 11860) by debbugs.gnu.org; 21 Aug 2012 09:20:57 +0000
Received: from localhost ([127.0.0.1]:41010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3kdt-0003RG-5S
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 05:20:57 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:43050)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T3kdq-0003R9-NP
	for 11860 <at> debbugs.gnu.org; Tue, 21 Aug 2012 05:20:56 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:64795 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T3kdW-0008Bv-Kt; Tue, 21 Aug 2012 05:20:35 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83393hcwl0.fsf@HIDDEN> (message from Eli Zaretskii on Mon,
	20 Aug 2012 20:16:59 +0300)
Date: Tue, 21 Aug 2012 18:20:28 +0900
Message-ID: <87zk5oha8z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83393hcwl0.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks.  But I wasn't asking about LGLYPH_SET_FROM and LGLYPH_SET_TO,
> I was asking about LGLYPH_SET_CHAR.  In the Windows implementation, we
> assign the same codepoint there to all the glyphs in the grapheme
> cluster, while on GNU/Linux you showed output that suggested we put
> different character codepoints there.

CHAR slot of a GLYPH has no meaning after shaping except for
as debugging information.  So, font->driver->shape doesn't
have to worry about it that much.

> Thanks.  I've spent the best part of the last day reading about font
> metrics, trying to understand the meaning of every component of the
> gstring object.  I still don't get all of it, though.  Specifically,
> it is still largely unclear what do we use each component for in
> drawing each glyph that belongs to a grapheme cluster.  One problem is
> that terms like rbearing, lbearing, etc. are not always used in the
> same sense as their definitions in digital typography references.

> Could you please point to the documentation where the meaning of
> gstring components is spelled out, or to code from which I could try
> gleaning this information?

The meaning of elements (i.e. GLYPHs) in GSTRING is
described in the docstring of composition-get-gstring as this;

GLYPH is a vector whose elements have this form:
    [ FROM-IDX TO-IDX C CODE WIDTH LBEARING RBEARING ASCENT DESCENT
      [ [X-OFF Y-OFF WADJUST] | nil] ]
where
    FROM-IDX and TO-IDX are used internally and should not be touched.
    C is the character of the glyph.
    CODE is the glyph-code of C in FONT-OBJECT.
    WIDTH thru DESCENT are the metrics (in pixels) of the glyph.
    X-OFF and Y-OFF are offsets to the base position for the glyph.
    WADJUST is the adjustment to the normal width of the glyph.

and the meanings of WIDTH, LBEARING, RBEARING, ASCENT,
DESCENT are the same as X's XCharStruct which Emacs has been
used for long (man of XLoadFont shows this info).

typedef struct {
	short lbearing;			/* origin to left edge of raster */
	short rbearing;			/* origin to right edge of raster */
	short width;			/* advance to next char's origin */
	short ascent;			/* baseline to top edge of raster */
	short descent;			/* baseline to bottom edge of raster */
	unsigned short attributes;	/* per char flags (not predefined) */
} XCharStruct;

> I see w32_compute_glyph_string_overhangs
> and x_draw_composite_glyph_string_foreground in w32term.c -- are these
> the places to look, or is there more?  What about lisp/composite.el --
> is that still relevant for automatic compositions?

In the phase of ri->produce_glyphs, the function
autocmp_chars (in composite.c) is the start function of
shaping.  It calls auto-compose-chars (in composite.el) and
that leads to a call of font->driver->shape via
(compose-gstring-for-graphic and Ffont_shape_gstring).  This
builds up GSTRING.

Another work of this phase is to set (struct
glyph)->slice.cmp.from and ...cmp.to so that the actual
drawing routine knows which cluster of GSTRING each (struct
glyph) object corresponds to.  For that,
composition_update_it (in composite.c) sets and updates
indices of GSTRING to (struct composition_it)->from and to
according to the value of (stuct
composition_it)->reversed.p, and append_composite_glyph (in
xdisp.c) sets those values to (struct glyph)->slice.cmp.from
and ...cmp.to.

Now all the information is readly of the drawing routine.

In the phase of ri->write_glyphs, the function draw_glyphs
calls BUILD_COMPOSITE_GLYPH_STRING (via the macro
BUILD_GSTRING_GLYPH), and it sets (struct
glyph_string)->cmp, (struct glyph_string)->cmp_from, (struct
glyph_string)->cmp_to.  Next draw_glyphs calls
ri->draw_glyph_string which at last calls
x_draw_composite_glyph_string_foreground which calls
font->driver->draw.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 21 Aug 2012 13:18:02 +0000
Resent-Message-ID: <handler.11860.B11860.13455550424458 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13455550424458
          (code B ref 11860); Tue, 21 Aug 2012 13:18:02 +0000
Received: (at 11860) by debbugs.gnu.org; 21 Aug 2012 13:17:22 +0000
Received: from localhost ([127.0.0.1]:41173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3oKe-00019q-Gt
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 09:17:21 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:48797)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T3oKb-00019h-Bu
	for 11860 <at> debbugs.gnu.org; Tue, 21 Aug 2012 09:17:18 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:65468 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T3oKG-0007So-NE; Tue, 21 Aug 2012 09:16:57 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83sjbid9n3.fsf@HIDDEN> (message from Eli Zaretskii on Sun,
	19 Aug 2012 21:22:40 +0300)
Date: Tue, 21 Aug 2012 22:16:51 +0900
Message-ID: <87wr0sgzb0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83sjbid9n3.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > one possibility is that Emacs's rendering engine (xdisp.c) expects
> > glyphs in a glyph-string are rendered in that order from left to
> > right, but the returned glyph-string on Windows should be rendered
> > in reverse order.

> You may be right, but it's hard to be sure.  At least the advances[]
> array returned by ScriptPlace seems to point into that direction.
> Here's what I see in the debugger:

>   Breakpoint 8, uniscribe_shape (lgstring=55041941) at w32uniscribe.c:373
>   373                       LGLYPH_SET_CHAR (lglyph, chars[items[i].iCharPos
[...]
>   (gdb) p advances[0]@nglyphs
>   $5 = {8, 0}
>   (gdb) p offsets[0]@nglyphs
>   $6 = {{
>       du = 0,
>       dv = 0
>     }, {
>       du = 1,
>       dv = -2
>     }}
>   (gdb) p chars[0]@2
>   $7 = L"\x639\x652"

> (Note that the fRTL member of items[0].a is set to TRUE.)  My
> understanding of the advances[] array is that it gives, for each glyph
> in the cluster, the number of pixels to advance to the right after
> drawing the glyph.  So the fact that it is 8 for the first (base)
> character and zero for the second one tells me that this grapheme
> cluster is supposed to be rendered in reverse order: first the Sukun,
> then Ayin at the same location, and then advance by 8 pixels for the
> next character.  Is this correct?

I think so.

> If it is correct, then how come the glyphs shown on GNU/Linux also
> have non-zero value of xadvance:

>   [0 1 1593 969 8 2 8 4 4 nil]
>   [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]

Emacs draws the first glyph at its base point and advance
the base point 8 pixels to the right (because the WIDTH of
the first glyph is 8).  Then Emacs draw the second glyph at
9 pixels left and 2 pixels up from the base point.  So, the
second glyph is drawn above the first glyph.

> > For instance, in the above case, we may have to render glyphs in
> > this order (diacritical mark first):
> > 
> >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> >   [0 1 1593 969 8 1 8 12 4 nil]

> I tried the naive patch below, but it didn't quite work.  It seems
> like those changes somehow prevented character composition.  Perhaps
> Handa-san could give me some guidance here.

Did your patch produced the above GSTRING?

> > I think the further debugging must be done by those who
> > knows uniscribe, w32font.c, and w32uniscribe.c.

> It's very hard, given that glyph-string documentation leaves a lot to
> be desired, and the way its various components are used during drawing
> is also left without clear documentation.  E.g., this:

>     FROM-IDX and TO-IDX are used internally and should not be touched.

> is not really helpful for explaining what are FROM-IDX and TO-IDX, so
> how can I figure out whether the code you asked about is doing TRT?

The are indices to the original character sequence of that
GSTRING.  If a glyph has N and M values for them, that glyph
corresponds to the Nth to Mth (inclusive) characters.

> And without knowing what is each component of glyph-string used for
> during drawing, how can I compare the values produced by Uniscribe
> APIs with what glyph-string needs?  If someone could explain all those
> things, it would make debugging possible.  Otherwise, I'm just
> randomly poking around...

Please see the function
x_draw_composite_glyph_string_foreground (in xterm.c and
w32term.c).  It shows which component of GSTRING is used for
drawing (the last branch of "iff" condition).

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 21 Aug 2012 17:33:01 +0000
Resent-Message-ID: <handler.11860.B11860.134557037330207 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134557037330207
          (code B ref 11860); Tue, 21 Aug 2012 17:33:01 +0000
Received: (at 11860) by debbugs.gnu.org; 21 Aug 2012 17:32:53 +0000
Received: from localhost ([127.0.0.1]:41853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T3sJw-0007r9-Sf
	for submit <at> debbugs.gnu.org; Tue, 21 Aug 2012 13:32:53 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:45442)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T3sJu-0007qx-Ax
	for 11860 <at> debbugs.gnu.org; Tue, 21 Aug 2012 13:32:51 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M9400D008P7ED00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Tue, 21 Aug 2012 20:32:28 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9400D7T8Q37X90@HIDDEN>;
	Tue, 21 Aug 2012 20:32:28 +0300 (IDT)
Date: Tue, 21 Aug 2012 20:32:32 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87wr0sgzb0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83lih8b173.fsf@HIDDEN>
References: <87wr0sgzb0.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: jasonr@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
> Date: Tue, 21 Aug 2012 22:16:51 +0900
> 
> > (Note that the fRTL member of items[0].a is set to TRUE.)  My
> > understanding of the advances[] array is that it gives, for each glyph
> > in the cluster, the number of pixels to advance to the right after
> > drawing the glyph.  So the fact that it is 8 for the first (base)
> > character and zero for the second one tells me that this grapheme
> > cluster is supposed to be rendered in reverse order: first the Sukun,
> > then Ayin at the same location, and then advance by 8 pixels for the
> > next character.  Is this correct?
> 
> I think so.

Well, it turns out that the truth is slightly different.  When the
Uniscribe shaper is handed a chunk of RTL text with the fLogicalOrder
flag set to TRUE, it prepares the glyphs in the logical order, but
assumes that they will be laid out in reverse.  In this reverse order,
the width advance value is applied _before_ drawing the glyph, and
positive width advance values move the pen to the _left_.  I found
this important information on some Web page, which I unfortunately can
no longer find.

In addition, it looks like in this "reverse" mode, the X-OFFSET value
is also interpreted in the reverse direction, so its sign must be
flipped for glyphs in RTL grapheme clusters.

Armed with this knowledge, with the information you posted, and after
studying the drawing code in w32term.c, I made some semi-empirical
changes in uniscribe_shape that produce good results both with Arabic
and with Hebrew.  In a nutshell, I adjusted the X-OFFSET values for
the width of the base-character glyph.  The results are committed as
trunk revision 109726; as I only tested the modification on a small
sample of composed texts, please see if you can run more tests with as
complex compositions as you can find.

> > If it is correct, then how come the glyphs shown on GNU/Linux also
> > have non-zero value of xadvance:
> 
> >   [0 1 1593 969 8 2 8 4 4 nil]
> >   [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]
> 
> Emacs draws the first glyph at its base point and advance
> the base point 8 pixels to the right (because the WIDTH of
> the first glyph is 8).  Then Emacs draw the second glyph at
> 9 pixels left and 2 pixels up from the base point.  So, the
> second glyph is drawn above the first glyph.

I see.  This was somewhat counter-intuitive (why move first and then
correct that by negative offsets, instead of not moving until all the
glyphs in the cluster are drawn?).

> > > For instance, in the above case, we may have to render glyphs in
> > > this order (diacritical mark first):
> > > 
> > >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> > >   [0 1 1593 969 8 1 8 12 4 nil]
> 
> > I tried the naive patch below, but it didn't quite work.  It seems
> > like those changes somehow prevented character composition.  Perhaps
> > Handa-san could give me some guidance here.
> 
> Did your patch produced the above GSTRING?

Yes.  But I think swapping the glyphs in the cluster was not the right
idea, because it violates the assumptions in w32font_draw, the drawing
routine called by the font back-end.  That routine expects the first
glyph to be for the base character of the composition.

> Please see the function
> x_draw_composite_glyph_string_foreground (in xterm.c and
> w32term.c).  It shows which component of GSTRING is used for
> drawing (the last branch of "iff" condition).

Yes, that helped, thanks.

Steffan, can you try the latest trunk code, and see if there are any
problems left?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 22 Aug 2012 09:16:02 +0000
Resent-Message-ID: <handler.11860.B11860.13456269463725 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13456269463725
          (code B ref 11860); Wed, 22 Aug 2012 09:16:02 +0000
Received: (at 11860) by debbugs.gnu.org; 22 Aug 2012 09:15:46 +0000
Received: from localhost ([127.0.0.1]:42632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T472M-0000xy-Kg
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 05:15:46 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:52656)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T472G-0000xo-Vi
	for 11860 <at> debbugs.gnu.org; Wed, 22 Aug 2012 05:15:41 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:52985 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T471r-0006VE-FY; Wed, 22 Aug 2012 05:15:12 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83lih8b173.fsf@HIDDEN> (message from Eli Zaretskii on Tue,
	21 Aug 2012 20:32:32 +0300)
Date: Wed, 22 Aug 2012 18:15:05 +0900
Message-ID: <87txvvguee.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83lih8b173.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> Well, it turns out that the truth is slightly different.  When the
> Uniscribe shaper is handed a chunk of RTL text with the fLogicalOrder
> flag set to TRUE, it prepares the glyphs in the logical order, but
> assumes that they will be laid out in reverse.  In this reverse order,
> the width advance value is applied _before_ drawing the glyph, and
> positive width advance values move the pen to the _left_.  I found
> this important information on some Web page, which I unfortunately can
> no longer find.

> In addition, it looks like in this "reverse" mode, the X-OFFSET value
> is also interpreted in the reverse direction, so its sign must be
> flipped for glyphs in RTL grapheme clusters.

> Armed with this knowledge, with the information you posted, and after
> studying the drawing code in w32term.c, I made some semi-empirical
> changes in uniscribe_shape that produce good results both with Arabic
> and with Hebrew.  In a nutshell, I adjusted the X-OFFSET values for
> the width of the base-character glyph.  The results are committed as
> trunk revision 109726; as I only tested the modification on a small
> sample of composed texts, please see if you can run more tests with as
> complex compositions as you can find.

As I currently don't have an environment for building Emasc
on Windows, 

> > > If it is correct, then how come the glyphs shown on GNU/Linux also
> > > have non-zero value of xadvance:
> > 
> > >   [0 1 1593 969 8 2 8 4 4 nil]
> > >   [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]
> > 
> > Emacs draws the first glyph at its base point and advance
> > the base point 8 pixels to the right (because the WIDTH of
> > the first glyph is 8).  Then Emacs draw the second glyph at
> > 9 pixels left and 2 pixels up from the base point.  So, the
> > second glyph is drawn above the first glyph.

> I see.  This was somewhat counter-intuitive (why move first and then
> correct that by negative offsets, instead of not moving until all the
> glyphs in the cluster are drawn?).

I think it's more intuitive.  It draws glyphs as you write
by hand.  The exact place to draw a dependent vowel depends
on a base consonant.  So, you anyway have to adjust vowel's
base point of drawing.

> > > > For instance, in the above case, we may have to render glyphs in
> > > > this order (diacritical mark first):
> > > > 
> > > >   [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
> > > >   [0 1 1593 969 8 1 8 12 4 nil]
> > 
> > > I tried the naive patch below, but it didn't quite work.  It seems
> > > like those changes somehow prevented character composition.  Perhaps
> > > Handa-san could give me some guidance here.
> > 
> > Did your patch produced the above GSTRING?

> Yes.  But I think swapping the glyphs in the cluster was not the right
> idea, because it violates the assumptions in w32font_draw, the drawing
> routine called by the font back-end.  That routine expects the first
> glyph to be for the base character of the composition.

As far as WIDTH, XOFF, YOFF, WADJUST are correct, the
drawing routines should work even if a combining mark comes
first.  The code that expects the first glyph to be a base
is Ffont_shape_gstring.  If the shaped GSTRING returned from
font->driver->shape has GLYPH sequence "Abc", A's
offset vector [X-OFF Y-OFF WADJUST] is nil, b and c's offset
vectors are not nil, Ffont_shape_gstring assumes that "Abc"
constitutes a grapheme cluster.

Anyway, thank you very much for the patch.  I have not yet
tried it because I currently don't have an environment to
build Emacs on windows.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 22 Aug 2012 19:53:01 +0000
Resent-Message-ID: <handler.11860.B11860.1345665160997 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: Eli Zaretskii <eliz@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.1345665160997
          (code B ref 11860); Wed, 22 Aug 2012 19:53:01 +0000
Received: (at 11860) by debbugs.gnu.org; 22 Aug 2012 19:52:40 +0000
Received: from localhost ([127.0.0.1]:43772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T4Gyl-0000G2-NK
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 15:52:40 -0400
Received: from forward8.mail.yandex.net ([77.88.61.38]:54121)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T4Gyh-0000Fq-Sb
	for 11860 <at> debbugs.gnu.org; Wed, 22 Aug 2012 15:52:38 -0400
Received: from web5e.yandex.ru (web5e.yandex.ru [77.88.60.74])
	by forward8.mail.yandex.net (Yandex) with ESMTP id E9B1AF61957;
	Wed, 22 Aug 2012 23:52:07 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web5e.yandex.ru (Yandex) with ESMTP id 564C81278045;
	Wed, 22 Aug 2012 23:52:07 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1345665127; bh=jpDRXroyMcZeJ4k2uYxoUB+7Iv3SnkG7PGv8TbF+P4A=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=gWdzHfcb0TjcJ7LrqpJiY6K4guGVT/0QIplYrvlPV1g5v1VIkuO/G4vRhbWwB7ONd
	AqTTvqOnXeEubJp8v1z7aqqBrjiCqcvefS/A7nSsu1oG/EJn/ErqHOW26li0tzNwok
	eH22xqZXfxGFn9L8U3xuIa7RNCjGZfKTb2LL+KW0=
Received: from [46.115.56.206] ([46.115.56.206]) by web5e.yandex.ru with HTTP; 
	Wed, 22 Aug 2012 23:52:07 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <89841345665127@HIDDEN>
Date: Wed, 22 Aug 2012 21:52:07 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> Kenichi Handa-4 Aug 18, 2012; 4:45am:=20

> I first confirmed that the described problems of Arabic and
> Hebrew occur with Emacs running on Windows.  Typing C-u C-x
> =3D on the first Arabic character (U+0639) showed that "Courier
> New" font is used for it, and showed this composition
> information.
>=20
> Composed with the following character(s) "=D9=92" using this font:
>   uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*=
-iso10646-1=20

I have the same font.=20

---------------------------------

> Kenichi Handa-4, Aug 18, 2012; 11:19am:

> For Hebrew too, on Windows, I see the same problem as what
> Steffan <[hidden email]> reported:
> In article <[hidden email]>, Steffan <[hidden email]> writes:
>>> I choose "hebrew-full" as input-method.
>>>
>>> - After typing 'f' I get KAF
>>> - then by typing d I get GIMMEL
>>> - and after typing 'D' I get "the three point sign" (HEBREW POINT QUB=
UTS) not below the GIMMEL but the KAF!=20

Yes, and I have the same font. (My OS is Windows 7 on a Netbook.) In arab=
ic I have a similar bug (the special vowels are at the wrong place), but =
there is a small difference. I hope my remark could be useful:
 After choosing the arabic-input-method:
- By typing "h" (for "Alef" =D8=A7) then "U" (for "Ayin" =D8=B9 ) you get=
 the 2 characters correctly
- But after typing "X" (for the "vowel" Sukun =D9=92) you get nothing. (I=
n hebrew you can see QUBBUTS (but also at the wrong position - by the FIR=
ST character.) [This is THE ONLY difference!]=20
- Move the cursor to the beginning of the line (Ctrl-a) you will see the =
Sukun (the small circle). BUT on the Alef NOT on the Ayin.
-- If you write then anything in the SAME line the Sukun disappears! And =
if you change the "WINDOW" (Alt-Tab) and goes back to Emacs it disappears=
 too.=20
- Move the cursor again to the beginning of the line (Ctrl-a) you will se=
e the Sukun (the small circle) again.
-- If you type ENTER at the end of the line (Ctrl-e) you can write what y=
ou want, you can always see the Sukun.








Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 22 Aug 2012 21:42:01 +0000
Resent-Message-ID: <handler.11860.B11860.134567169010411 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134567169010411
          (code B ref 11860); Wed, 22 Aug 2012 21:42:01 +0000
Received: (at 11860) by debbugs.gnu.org; 22 Aug 2012 21:41:30 +0000
Received: from localhost ([127.0.0.1]:43859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T4Ig5-0002hr-Pf
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 17:41:30 -0400
Received: from forward7.mail.yandex.net ([77.88.61.37]:48538)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T4Ig2-0002hi-6A
	for 11860 <at> debbugs.gnu.org; Wed, 22 Aug 2012 17:41:28 -0400
Received: from web11e.yandex.ru (web11e.yandex.ru [77.88.61.50])
	by forward7.mail.yandex.net (Yandex) with ESMTP id B038F1C1B2A;
	Thu, 23 Aug 2012 01:40:57 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web11e.yandex.ru (Yandex) with ESMTP id 21A3E830072;
	Thu, 23 Aug 2012 01:40:57 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1345671657; bh=G/1UPaT+6lgN1g7KvcCfsF8l35miycTZ15UHt0aV5zg=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=phZKForSjqB9n7JCBMgd04Nd7/HJSzvl1G/BxlTJJ172hhGyY/NT7SW0gn9H3bKdT
	zuVk8C724tBNaAbHHSs81D7D6skPBeF5sbyKUMCMIlwFVr+TjnWotuyCiynQkRihV1
	9/97Z7bOTaf/VED9wss1MZ+HT/wkv8caLucqyfe0=
Received: from [46.115.56.206] ([46.115.56.206]) by web11e.yandex.ru with HTTP;
	Thu, 23 Aug 2012 01:40:55 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <110631345671655@HIDDEN>
Date: Wed, 22 Aug 2012 23:40:55 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)



>> From: Kenichi Handa <handa@HIDDEN>
>> Cc: jasonr@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN
>> Date: Tue, 21 Aug 2012 22:16:51 +0900
>>
>>> (Note that the fRTL member of items[0].a is set to TRUE.) My
>>> understanding of the advances[] array is that it gives, for each glyph
>>> in the cluster, the number of pixels to advance to the right after
>>> drawing the glyph. So the fact that it is 8 for the first (base)
>>> character and zero for the second one tells me that this grapheme
>>> cluster is supposed to be rendered in reverse order: first the Sukun,
>>> then Ayin at the same location, and then advance by 8 pixels for the
>>> next character. Is this correct?
>>
>> I think so.
> 
> Well, it turns out that the truth is slightly different. When the
> Uniscribe shaper is handed a chunk of RTL text with the fLogicalOrder
> flag set to TRUE, it prepares the glyphs in the logical order, but
> assumes that they will be laid out in reverse. In this reverse order,
> the width advance value is applied _before_ drawing the glyph, and
> positive width advance values move the pen to the _left_. I found
> this important information on some Web page, which I unfortunately can
> no longer find.
> 
> In addition, it looks like in this "reverse" mode, the X-OFFSET value
> is also interpreted in the reverse direction, so its sign must be
> flipped for glyphs in RTL grapheme clusters.
> 
> Armed with this knowledge, with the information you posted, and after
> studying the drawing code in w32term.c, I made some semi-empirical
> changes in uniscribe_shape that produce good results both with Arabic
> and with Hebrew. In a nutshell, I adjusted the X-OFFSET values for
> the width of the base-character glyph. The results are committed as
> trunk revision 109726; as I only tested the modification on a small
> sample of composed texts, please see if you can run more tests with as
> complex compositions as you can find.
> 
>>> If it is correct, then how come the glyphs shown on GNU/Linux also
>>> have non-zero value of xadvance:
>>> [0 1 1593 969 8 2 8 4 4 nil]
>>> [0 1 1618 760 0 -6 -3 8 -11 [-9 2 0]]
>>
>> Emacs draws the first glyph at its base point and advance
>> the base point 8 pixels to the right (because the WIDTH of
>> the first glyph is 8). Then Emacs draw the second glyph at
>> 9 pixels left and 2 pixels up from the base point. So, the
>> second glyph is drawn above the first glyph.
> 
> I see. This was somewhat counter-intuitive (why move first and then
> correct that by negative offsets, instead of not moving until all the
> glyphs in the cluster are drawn?).
> 
>>>> For instance, in the above case, we may have to render glyphs in
>>>> this order (diacritical mark first):
>>>>
>>>> [0 1 1593 760 0 3 6 12 4 [1 -2 0]]
>>>> [0 1 1593 969 8 1 8 12 4 nil]
>>>
>>> I tried the naive patch below, but it didn't quite work. It seems
>>> like those changes somehow prevented character composition. Perhaps
>>> Handa-san could give me some guidance here.
>>
>> Did your patch produced the above GSTRING?
> 
> Yes. But I think swapping the glyphs in the cluster was not the right
> idea, because it violates the assumptions in w32font_draw, the drawing
> routine called by the font back-end. That routine expects the first
> glyph to be for the base character of the composition.
> 
>> Please see the function
>> x_draw_composite_glyph_string_foreground (in xterm.c and
>> w32term.c). It shows which component of GSTRING is used for
>> drawing (the last branch of "iff" condition).
> 
> Yes, that helped, thanks.
> 
> Steffan, can you try the latest trunk code, and see if there are any
> problems left?


 -- 

Sorry, I miss this. I don't know where I can get this trunk code (r109726?). 
At http://alpha.gnu.org/gnu/emacs/windows/?C=M;O=A
the latest version is this:
 emacs-20120813-r109584-bin-i386.zip.sig     13-Aug-2012 12:32  287

Thanks   




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 23 Aug 2012 02:50:01 +0000
Resent-Message-ID: <handler.11860.B11860.13456901777677 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13456901777677
          (code B ref 11860); Thu, 23 Aug 2012 02:50:01 +0000
Received: (at 11860) by debbugs.gnu.org; 23 Aug 2012 02:49:37 +0000
Received: from localhost ([127.0.0.1]:44112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T4NUH-0001zm-8j
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 22:49:37 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:33162)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T4NUC-0001zc-Pr
	for 11860 <at> debbugs.gnu.org; Wed, 22 Aug 2012 22:49:34 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M9600400SYAV700@HIDDEN> for
	11860 <at> debbugs.gnu.org; Thu, 23 Aug 2012 05:49:03 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M96004AAT5QMYB0@HIDDEN>;
	Thu, 23 Aug 2012 05:49:03 +0300 (IDT)
Date: Thu, 23 Aug 2012 05:49:10 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <110631345671655@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83pq6i9vbt.fsf@HIDDEN>
References: <110631345671655@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: jasonr@HIDDEN,11860 <at> debbugs.gnu.org,smias@HIDDEN,Kenichi Handa <handa@HIDDEN>
> Date: Wed, 22 Aug 2012 23:40:55 +0200
> 
> > Steffan, can you try the latest trunk code, and see if there are any
> > problems left?
> 
> 
>  -- 
> 
> Sorry, I miss this. I don't know where I can get this trunk code (r109726?). 
> At http://alpha.gnu.org/gnu/emacs/windows/?C=M;O=A
> the latest version is this:
>  emacs-20120813-r109584-bin-i386.zip.sig     13-Aug-2012 12:32  287

Then please wait for a few days until a newer snapshot is available at
that place, and try that.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 23 Aug 2012 02:51:02 +0000
Resent-Message-ID: <handler.11860.B11860.13456902347787 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13456902347787
          (code B ref 11860); Thu, 23 Aug 2012 02:51:02 +0000
Received: (at 11860) by debbugs.gnu.org; 23 Aug 2012 02:50:34 +0000
Received: from localhost ([127.0.0.1]:44119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T4NVC-00021Y-2B
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 22:50:34 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:54909)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T4NV6-00021D-1a
	for 11860 <at> debbugs.gnu.org; Wed, 22 Aug 2012 22:50:28 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M9600000SYMUG00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Thu, 23 Aug 2012 05:49:54 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M96000DVT76FCB0@HIDDEN>;
	Thu, 23 Aug 2012 05:49:54 +0300 (IDT)
Date: Thu, 23 Aug 2012 05:50:02 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <89841345665127@HIDDEN>
Message-id: <83obm29vad.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <89841345665127@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: jasonr@HIDDEN,11860 <at> debbugs.gnu.org,smias@HIDDEN,Eli Zarets=
kii <eliz@HIDDEN>
> Date: Wed, 22 Aug 2012 21:52:07 +0200
>=20
>  After choosing the arabic-input-method:
> - By typing "h" (for "Alef" =D8=A7) then "U" (for "Ayin" =D8=B9 ) y=
ou get the 2 characters correctly
> - But after typing "X" (for the "vowel" Sukun =D9=92) you get nothi=
ng. (In hebrew you can see QUBBUTS (but also at the wrong position - =
by the FIRST character.) [This is THE ONLY difference!]=20
> - Move the cursor to the beginning of the line (Ctrl-a) you will se=
e the Sukun (the small circle). BUT on the Alef NOT on the Ayin.
> -- If you write then anything in the SAME line the Sukun disappears=
! And if you change the "WINDOW" (Alt-Tab) and goes back to Emacs it =
disappears too.=20
> - Move the cursor again to the beginning of the line (Ctrl-a) you w=
ill see the Sukun (the small circle) again.
> -- If you type ENTER at the end of the line (Ctrl-e) you can write =
what you want, you can always see the Sukun.

The latest trunk works correctly with this recipe: the Sukun is
positioned at the right place and does not disappear.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 27 Aug 2012 21:12:02 +0000
Resent-Message-ID: <handler.11860.B11860.13461019185250 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13461019185250
          (code B ref 11860); Mon, 27 Aug 2012 21:12:02 +0000
Received: (at 11860) by debbugs.gnu.org; 27 Aug 2012 21:11:58 +0000
Received: from localhost ([127.0.0.1]:52874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T66bF-0001Md-KQ
	for submit <at> debbugs.gnu.org; Mon, 27 Aug 2012 17:11:58 -0400
Received: from forward12.mail.yandex.net ([95.108.130.94]:34558)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T66bC-0001MU-CQ
	for 11860 <at> debbugs.gnu.org; Mon, 27 Aug 2012 17:11:56 -0400
Received: from web27f.yandex.ru (web27f.yandex.ru [95.108.131.161])
	by forward12.mail.yandex.net (Yandex) with ESMTP id F1328C21D06;
	Tue, 28 Aug 2012 01:10:57 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web27f.yandex.ru (Yandex) with ESMTP id 59B1230C0014;
	Tue, 28 Aug 2012 01:10:57 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346101857; bh=4OJKn8PD3WwSPB+M0C6UoiFExyaiKCthKJYnKOANzRg=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=Nr2TFyIUU9QkRBEXuOiHfo/QAF53ZwQrBpxsebm0qchoPL2R25imy3nPKufBB8yPI
	e6c13q0atgTHSPrU9PLniY78/IWjR3PtJyLtGRxxwlVFDjkLcGtXaQ9ZKUZPF5Upwb
	BXjMaEKh+kMlWxN3tiqrpQjmCQn1+dzw/4XGVWLA=
Received: from [176.3.236.22] ([176.3.236.22]) by web27f.yandex.ru with HTTP; 
	Tue, 28 Aug 2012 01:10:57 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <177391346101857@HIDDEN>
Date: Mon, 27 Aug 2012 23:10:57 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

I've just tested it. It's different. But it doesn't work correctly.

In the arabic-input-method 

h-X-SPACE-h works fine, 
but h-X-h doesn't work, the Sukkun disappears.

(Hebrew seems to work correctly.)

 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 29 Aug 2012 08:12:01 +0000
Resent-Message-ID: <handler.11860.B11860.13462278896659 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13462278896659
          (code B ref 11860); Wed, 29 Aug 2012 08:12:01 +0000
Received: (at 11860) by debbugs.gnu.org; 29 Aug 2012 08:11:29 +0000
Received: from localhost ([127.0.0.1]:55415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6dN3-0001jM-1D
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 04:11:29 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:49156)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T6dN1-0001jF-4g
	for 11860 <at> debbugs.gnu.org; Wed, 29 Aug 2012 04:11:27 -0400
Received: from [150.29.149.7] (port=56749 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T6dLy-0007yJ-4O; Wed, 29 Aug 2012 04:10:22 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <177391346101857@HIDDEN> (message from Steffan on Mon,
	27 Aug 2012 23:10:57 +0200)
Date: Wed, 29 Aug 2012 17:09:49 +0900
Message-ID: <87harmunjm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <177391346101857@HIDDEN>, Steffan <smias@HIDDEN> writes:

> I've just tested it. It's different. But it doesn't work correctly.
> In the arabic-input-method 

> h-X-SPACE-h works fine, 
> but h-X-h doesn't work, the Sukkun disappears.

I also tested with the following windows binary
(emacs-trunk-r109787-bin-w32-i386.zip) and confirmed the problem:

In article <CAH8Pv0g81jwWvQJ1xjmnU=8DU8+h+Sb6TbMP_xfHhwiqYatO-w@HIDDEN>, Dani Moncayo <dmoncayo@HIDDEN> writes:
> I've just uploaded a w32 binary (from today's trunk):
>   https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8

I evaluated the attached funcion in *scratch* buffer and it
returned this string on Windows.

"  [0 1 1575 909 18 7 10 25 8 nil]
  [0 1 1575 760 0 7 11 25 8 [-1 1 0]]

  [0 1 1575 909 18 7 10 25 8 nil]
  [0 1 1575 760 0 7 11 25 8 [-19 1 0]]

"

The second GLYPHs in the first and second GSTRINGs are
different.  On GNU/Linux, they are the same, which should be
the correct behaviour.

---
Kenichi Handa
handa@HIDDEN

(defun check-arabic-shaper ()
  (let (str)
    (save-excursion
      (with-temp-buffer
	(insert "\u0627\u0652\u0627\n\u0627\u0652 \u0627")
	(switch-to-buffer (current-buffer))
	(sit-for 0)
	(save-excursion
	  (describe-char 1)
	  (set-buffer "*Help*")
	  (if (search-forward "by these glyphs:\n" nil t)
	      (let ((pos (point)))
		(search-forward "\n\n" nil 'move)
		(setq str (buffer-substring-no-properties pos (point))))))
	(save-excursion
	  (describe-char 5)
	  (set-buffer "*Help*")
	  (if (search-forward "by these glyphs:\n" nil t)
	      (let ((pos (point)))
		(search-forward "\n\n" nil 'move)
		(setq str (concat str (buffer-substring-no-properties pos (point)))))))))
    str))





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 29 Aug 2012 08:59:01 +0000
Resent-Message-ID: <handler.11860.B11860.134623072510794 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: eliz@HIDDEN, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134623072510794
          (code B ref 11860); Wed, 29 Aug 2012 08:59:01 +0000
Received: (at 11860) by debbugs.gnu.org; 29 Aug 2012 08:58:45 +0000
Received: from localhost ([127.0.0.1]:55462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6e6l-0002o0-Bw
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 04:58:44 -0400
Received: from forward9.mail.yandex.net ([77.88.61.48]:46242)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T6e6i-0002nr-Ja
	for 11860 <at> debbugs.gnu.org; Wed, 29 Aug 2012 04:58:42 -0400
Received: from web5e.yandex.ru (web5e.yandex.ru [77.88.60.74])
	by forward9.mail.yandex.net (Yandex) with ESMTP id D8CA5CE1788;
	Wed, 29 Aug 2012 12:57:35 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web5e.yandex.ru (Yandex) with ESMTP id 2A7121278045;
	Wed, 29 Aug 2012 12:57:35 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346230655; bh=i53I0TbPE+mLev1vx80yalG1aFZm4253cJDELgXg2+M=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=uXBGwvl4t96XEBT+ZNPHqBIATVjsoNm0ZR4VeoDNzFT5rzB2XTfbWofErAGszkhFh
	UmvhHXvGKQl3kaaxr3ZPd2Ent5T2kZwGalQqEUTt19DP6Q23vidBI3cFfani4pqOKt
	H0ADVPgGhNZ03aMxiREbZuJ+IBuTmdpPr+JsDK54=
Received: from [46.115.43.100] ([46.115.43.100]) by web5e.yandex.ru with HTTP; 
	Wed, 29 Aug 2012 12:57:34 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <3652021346230654@HIDDEN>
Date: Wed, 29 Aug 2012 10:57:34 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)



> In article , Steffan  writes:
> 
>> I've just tested it. It's different. But it doesn't work correctly.
>> In the arabic-input-method
>> h-X-SPACE-h works fine,
>> but h-X-h doesn't work, the Sukkun disappears.
> 
> I also tested with the following windows binary
> (emacs-trunk-r109787-bin-w32-i386.zip) and confirmed the problem:


I tested this one:  emacs-20120827-r109788-bin-i386.zip         27-Aug-2012 02:55   58M  
from 
http://alpha.gnu.org/gnu/emacs/windows/?C=M;O=A

> In article , Dani Moncayo writes:
> 
>> I've just uploaded a w32 binary (from today's trunk):
>> https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8
> 
> I evaluated the attached funcion in *scratch* buffer and it
> returned this string on Windows.
> 
> " [0 1 1575 909 18 7 10 25 8 nil]
> [0 1 1575 760 0 7 11 25 8 [-1 1 0]]
> 
> [0 1 1575 909 18 7 10 25 8 nil]
> [0 1 1575 760 0 7 11 25 8 [-19 1 0]]
> 
> "
> 
> The second GLYPHs in the first and second GSTRINGs are
> different. On GNU/Linux, they are the same, which should be
> the correct behaviour.
> 
> ---
> Kenichi Handa
> handa@HIDDEN
> 
> (defun check-arabic-shaper ()
> (let (str)
> (save-excursion
> (with-temp-buffer
> (insert "\u0627\u0652\u0627\n\u0627\u0652 \u0627")
> (switch-to-buffer (current-buffer))
> (sit-for 0)
> (save-excursion
> (describe-char 1)
> (set-buffer "*Help*")
> (if (search-forward "by these glyphs:\n" nil t)
> (let ((pos (point)))
> (search-forward "\n\n" nil 'move)
> (setq str (buffer-substring-no-properties pos (point))))))
> (save-excursion
> (describe-char 5)
> (set-buffer "*Help*")
> (if (search-forward "by these glyphs:\n" nil t)
> (let ((pos (point)))
> (search-forward "\n\n" nil 'move)
> (setq str (concat str (buffer-substring-no-properties pos (point)))))))))
> str))

I get in the scratch-buffer this result:

"  [0 1 1575 909 8 3 5 12 4 nil]
  [0 1 1575 760 0 3 6 12 4 [0 1 0]]

  [0 1 1575 909 8 3 5 12 4 nil]
  [0 1 1575 760 0 3 6 12 4 [-8 1 0]]

"




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 01 Sep 2012 14:01:01 +0000
Resent-Message-ID: <handler.11860.B11860.134650803715806 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134650803715806
          (code B ref 11860); Sat, 01 Sep 2012 14:01:01 +0000
Received: (at 11860) by debbugs.gnu.org; 1 Sep 2012 14:00:37 +0000
Received: from localhost ([127.0.0.1]:32880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T7oFZ-00046s-DS
	for submit <at> debbugs.gnu.org; Sat, 01 Sep 2012 10:00:37 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:59521)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T7oFX-00046j-1v
	for 11860 <at> debbugs.gnu.org; Sat, 01 Sep 2012 10:00:36 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M9O00L00C1NNQ00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sat, 01 Sep 2012 16:59:12 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9O00KUNC6NQLF0@HIDDEN>;
	Sat, 01 Sep 2012 16:59:12 +0300 (IDT)
Date: Sat, 01 Sep 2012 16:59:14 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87harmunjm.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sjb1g7yl.fsf@HIDDEN>
References: <87harmunjm.fsf@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Kenichi Handa <handa@HIDDEN>
> Cc: eliz@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,smias@HIDDEN
> Date: Wed, 29 Aug 2012 17:09:49 +0900
> 
> In article <177391346101857@HIDDEN>, Steffan <smias@HIDDEN> writes:
> 
> > I've just tested it. It's different. But it doesn't work correctly.
> > In the arabic-input-method 
> 
> > h-X-SPACE-h works fine, 
> > but h-X-h doesn't work, the Sukkun disappears.
> 
> I also tested with the following windows binary
> (emacs-trunk-r109787-bin-w32-i386.zip) and confirmed the problem:
> 
> In article <CAH8Pv0g81jwWvQJ1xjmnU=8DU8+h+Sb6TbMP_xfHhwiqYatO-w@HIDDEN>, Dani Moncayo <dmoncayo@HIDDEN> writes:
> > I've just uploaded a w32 binary (from today's trunk):
> >   https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8
> 
> I evaluated the attached funcion in *scratch* buffer and it
> returned this string on Windows.
> 
> "  [0 1 1575 909 18 7 10 25 8 nil]
>   [0 1 1575 760 0 7 11 25 8 [-1 1 0]]
> 
>   [0 1 1575 909 18 7 10 25 8 nil]
>   [0 1 1575 760 0 7 11 25 8 [-19 1 0]]
> 
> "
> 
> The second GLYPHs in the first and second GSTRINGs are
> different.  On GNU/Linux, they are the same, which should be
> the correct behaviour.

The problem was that the code I committed didn't expect to handle more
than a single grapheme cluster.  I now fixed that code for the case of
several grapheme clusters that are handed to the shaper all at once.
With the modified code (trunk revision 109842), both Steffan's recipe
and the check-arabic-shaper function work correctly.  Please test.

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 01 Sep 2012 14:10:02 +0000
Resent-Message-ID: <handler.11860.B11860.134650854616506 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134650854616506
          (code B ref 11860); Sat, 01 Sep 2012 14:10:02 +0000
Received: (at 11860) by debbugs.gnu.org; 1 Sep 2012 14:09:06 +0000
Received: from localhost ([127.0.0.1]:32888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T7oNm-0004IA-BK
	for submit <at> debbugs.gnu.org; Sat, 01 Sep 2012 10:09:06 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:40278)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T7oNk-0004I2-Eb
	for 11860 <at> debbugs.gnu.org; Sat, 01 Sep 2012 10:09:05 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0M9O00200CA7ZA00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Sat, 01 Sep 2012 17:06:20 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9O002PCCIKTXA0@HIDDEN>;
	Sat, 01 Sep 2012 17:06:20 +0300 (IDT)
Date: Sat, 01 Sep 2012 17:06:23 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <3652021346230654@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83r4qlg7mo.fsf@HIDDEN>
References: <3652021346230654@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: eliz@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,smias@HIDDEN
> Date: Wed, 29 Aug 2012 10:57:34 +0200
> 
> I get in the scratch-buffer this result:
> 
> "  [0 1 1575 909 8 3 5 12 4 nil]
>   [0 1 1575 760 0 3 6 12 4 [0 1 0]]
> 
>   [0 1 1575 909 8 3 5 12 4 nil]
>   [0 1 1575 760 0 3 6 12 4 [-8 1 0]]
> 
> "

Right.  On Windows XP, I got a slightly different output (1-pixel
difference):

  "  [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [0 0 0]]

    [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

  "

I guess the difference is due to the changes in Uniscribe on Windows 7.

After the change, I get this on XP:

  "  [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

    [0 1 1575 909 8 4 5 12 4 nil]
    [0 1 1575 760 0 3 6 12 4 [-8 0 0]]

  "




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 13:58:02 +0000
Resent-Message-ID: <handler.11860.B11860.134668064824763 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134668064824763
          (code B ref 11860); Mon, 03 Sep 2012 13:58:02 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 13:57:28 +0000
Received: from localhost ([127.0.0.1]:36365 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8X9c-0006RM-4r
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 09:57:28 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:47239)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T8X9a-0006RF-JN
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 09:57:27 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:51120 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T8X84-0006CQ-1F; Mon, 03 Sep 2012 09:55:52 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83sjb1g7yl.fsf@HIDDEN> (message from Eli Zaretskii on Sat,
	01 Sep 2012 16:59:14 +0300)
Date: Mon, 03 Sep 2012 22:55:36 +0900
Message-ID: <87zk57tdlz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83sjb1g7yl.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> The problem was that the code I committed didn't expect to handle more
> than a single grapheme cluster.  I now fixed that code for the case of
> several grapheme clusters that are handed to the shaper all at once.
> With the modified code (trunk revision 109842), both Steffan's recipe
> and the check-arabic-shaper function work correctly.  Please test.

I tested with this version:

  http://alpha.gnu.org/gnu/emacs/windows/emacs-20120903-r109861-bin-i386.zip

and confirmed that the problem was fixed.  The Arabic line
of HELLO file is also displayed correctly.  By the way, it
seems that "arial" font has better OTF GPOS feautre for
Arabic than the default font "courier new".

Try to evaluate this on Windows:
  (set-fontset-font t 'arabic (font-spec :family "arial" :size 30))
and see the position of upper vowels.

---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 15:34:01 +0000
Resent-Message-ID: <handler.11860.B11860.13466864001292 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13466864001292
          (code B ref 11860); Mon, 03 Sep 2012 15:34:01 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 15:33:20 +0000
Received: from localhost ([127.0.0.1]:36479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8YeN-0000Kl-Ct
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 11:33:20 -0400
Received: from forward1h.mail.yandex.net ([84.201.187.146]:56204)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T8YeJ-0000Kb-Dh
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 11:33:18 -0400
Received: from web2h.yandex.ru (web2h.yandex.ru [84.201.186.31])
	by forward1h.mail.yandex.net (Yandex) with ESMTP id 737EC9E0625;
	Mon,  3 Sep 2012 19:31:40 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web2h.yandex.ru (Yandex) with ESMTP id B79A51610002;
	Mon,  3 Sep 2012 19:31:39 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346686300; bh=reEJQ8VDctO4tK0oFjbMltwmz6SymNxORr9kIKOn8/E=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=fEGjDVVxw4ZCEL3kczTLZNsYC0n0mOJn2a78daHA6grM7yhcwrq7mniw6i/2ICRks
	2vl2jDoSC1WAsk9AiSH6aZHmd2SodghDGf7wMcdHzBj8BlMeMN+mhrqpCORB8F1c7w
	byAjU2fG/LUu7vSxIcnopWOhGqOSWBMdvK8X84TM=
Received: from [176.3.206.139] ([176.3.206.139]) by web2h.yandex.ru with HTTP; 
	Mon, 03 Sep 2012 19:31:39 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <503491346686299@HIDDEN>
Date: Mon, 03 Sep 2012 17:31:39 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)



>> From: Kenichi Handa <handa@HIDDEN>
>> Cc: eliz@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,smias@HIDDEN
>> Date: Wed, 29 Aug 2012 17:09:49 +0900
>>
>> In article <177391346101857@HIDDEN>, Steffan <smias@HIDDEN> writes:
>>
>>> I've just tested it. It's different. But it doesn't work correctly.
>>> In the arabic-input-method
>>> h-X-SPACE-h works fine,
>>> but h-X-h doesn't work, the Sukkun disappears.
>>
>> I also tested with the following windows binary
>> (emacs-trunk-r109787-bin-w32-i386.zip) and confirmed the problem:
>>
>> In article <CAH8Pv0g81jwWvQJ1xjmnU=8DU8+h+Sb6TbMP_xfHhwiqYatO-w@HIDDEN>, Dani Moncayo <dmoncayo@HIDDEN> writes:
>>
>>> I've just uploaded a w32 binary (from today's trunk):
>>> https://www.dropbox.com/sh/7jr3vbv9tm1zod0/jPuvfrJAe8
>>
>> I evaluated the attached funcion in *scratch* buffer and it
>> returned this string on Windows.
>>
>> " [0 1 1575 909 18 7 10 25 8 nil]
>> [0 1 1575 760 0 7 11 25 8 [-1 1 0]]
>>
>> [0 1 1575 909 18 7 10 25 8 nil]
>> [0 1 1575 760 0 7 11 25 8 [-19 1 0]]
>>
>> "
>>
>> The second GLYPHs in the first and second GSTRINGs are
>> different. On GNU/Linux, they are the same, which should be
>> the correct behaviour.
> 
> The problem was that the code I committed didn't expect to handle more
> than a single grapheme cluster. I now fixed that code for the case of
> several grapheme clusters that are handed to the shaper all at once.
> With the modified code (trunk revision 109842), both Steffan's recipe
> and the check-arabic-shaper function work correctly. Please test.
> 
> Thanks.


 -- 

Thanks, this bug is now fixed. But there is something wrong with the two diacritics (short vowels): ARABIC KASRA and ARABIC KASRATAN. They should appear UNDER the letters, not IN or OVER them.

Try a-A [Sheen-Kasra] or a-S [Sheen-Kasratan] or d-S [Ya-Kasratan]. 
But h-S or m-S has the correct form. (?)

I tested this trunk:
 emacs-20120903-r109861-bin-i386.zip         03-Sep-2012 03:07   58M  

The arabic letters don't have a constant form. This seems to be the problem (?): Try f-S and compare with f-S-f.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 15:56:02 +0000
Resent-Message-ID: <handler.11860.B11860.13466877093207 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Kenichi Handa <handa@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13466877093207
          (code B ref 11860); Mon, 03 Sep 2012 15:56:02 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 15:55:09 +0000
Received: from localhost ([127.0.0.1]:36514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8YzV-0000pg-0O
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 11:55:09 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:51640)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T8YzR-0000pW-Nt
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 11:55:07 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M9S009006SVA700@HIDDEN> for
	11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 18:53:27 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9S009Z76T27K20@HIDDEN>;
	Mon, 03 Sep 2012 18:53:27 +0300 (IDT)
Date: Mon, 03 Sep 2012 18:53:34 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <87zk57tdlz.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83wr0bdrwh.fsf@HIDDEN>
MIME-version: 1.0
Content-type: multipart/mixed; boundary="Boundary_(ID_4C7GV4LStTeu/lutG+89RA)"
References: <87zk57tdlz.fsf@HIDDEN>
X-Spam-Score: -0.2 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.2 (/)


--Boundary_(ID_4C7GV4LStTeu/lutG+89RA)
Content-type: text/plain

> From: Kenichi Handa <handa@HIDDEN>
> Cc: smias@HIDDEN, jasonr@HIDDEN, 11860 <at> debbugs.gnu.org
> Date: Mon, 03 Sep 2012 22:55:36 +0900
> 
> In article <83sjb1g7yl.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > The problem was that the code I committed didn't expect to handle more
> > than a single grapheme cluster.  I now fixed that code for the case of
> > several grapheme clusters that are handed to the shaper all at once.
> > With the modified code (trunk revision 109842), both Steffan's recipe
> > and the check-arabic-shaper function work correctly.  Please test.
> 
> I tested with this version:
> 
>   http://alpha.gnu.org/gnu/emacs/windows/emacs-20120903-r109861-bin-i386.zip
> 
> and confirmed that the problem was fixed.  The Arabic line
> of HELLO file is also displayed correctly.

Thanks for testing.  I will wait for Steffan's confirmation before
closing the bug report.

> By the way, it seems that "arial" font has better OTF GPOS feautre
> for Arabic than the default font "courier new".
> 
> Try to evaluate this on Windows:
>   (set-fontset-font t 'arabic (font-spec :family "arial" :size 30))
> and see the position of upper vowels.

It indeed looks nicer, but its base line is too high, IMHO, and thus
the Arabic text looks awkward wrt surrounding Latin text, see the
attached snapshot.


--Boundary_(ID_4C7GV4LStTeu/lutG+89RA)
Content-type: image/png
Content-transfer-encoding: base64
Content-disposition: attachment; filename=HELLO-Arial.PNG
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--Boundary_(ID_4C7GV4LStTeu/lutG+89RA)--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 16:26:02 +0000
Resent-Message-ID: <handler.11860.B11860.13466895545915 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13466895545915
          (code B ref 11860); Mon, 03 Sep 2012 16:26:02 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 16:25:54 +0000
Received: from localhost ([127.0.0.1]:36539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8ZTG-0001XM-CU
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 12:25:54 -0400
Received: from forward2.mail.yandex.net ([77.88.46.7]:52567)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T8ZTC-0001XA-5m
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 12:25:53 -0400
Received: from web11d.yandex.ru (web11d.yandex.ru [77.88.47.156])
	by forward2.mail.yandex.net (Yandex) with ESMTP id 5D74712A0141;
	Mon,  3 Sep 2012 20:24:15 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web11d.yandex.ru (Yandex) with ESMTP id B9077602012C;
	Mon,  3 Sep 2012 20:24:14 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346689455; bh=bfAhcbyVbgeF2ZrH49TM7ZSReC++wFVhUUpL0yLeiOY=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:
	Content-Transfer-Encoding:Content-Type;
	b=fOZU0YcsT0lGzTFUDzIF8iePV3nYt8yAqYernDX20MIftf/WOysYti5pAf5forJL2
	Le1KO80z2IrKVM0H3NNqS0udpYu9Ac/BLSEV221PdWkiQ2FNjDI2GDQxXNopEGtQid
	wI8McZzXQ1+eTLakkozLdO2Du4JO6D6DkY0FA3pM=
Received: from [176.3.206.139] ([176.3.206.139]) by web11d.yandex.ru with HTTP;
	Mon, 03 Sep 2012 20:24:13 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <480201346689453@HIDDEN>
Date: Mon, 03 Sep 2012 18:24:13 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> It indeed looks nicer, but its base line is too high, IMHO, and thus
> the Arabic text looks awkward wrt surrounding Latin text, see the
> attached snapshot.

Yes, I think the same size for latin and arabic text is better. 

I hope the solving of the problem with KASRA and KASRATAN is not too difficult. 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 16:30:02 +0000
Resent-Message-ID: <handler.11860.B11860.13466897946305 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13466897946305
          (code B ref 11860); Mon, 03 Sep 2012 16:30:02 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 16:29:54 +0000
Received: from localhost ([127.0.0.1]:36561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8ZX6-0001dc-SH
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 12:29:54 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:63537)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T8ZX4-0001dS-HR
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 12:29:51 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0M9S009008DTN500@HIDDEN> for
	11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 19:28:07 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9S009MZ8EU7K80@HIDDEN>;
	Mon, 03 Sep 2012 19:28:07 +0300 (IDT)
Date: Mon, 03 Sep 2012 19:28:14 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <503491346686299@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83vcfvdqap.fsf@HIDDEN>
References: <503491346686299@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: smias@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,Kenichi Handa <handa@HIDDEN>
> Date: Mon, 03 Sep 2012 17:31:39 +0200
> 
> Thanks, this bug is now fixed. But there is something wrong with the two diacritics (short vowels): ARABIC KASRA and ARABIC KASRATAN. They should appear UNDER the letters, not IN or OVER them.
> 
> Try a-A [Sheen-Kasra] or a-S [Sheen-Kasratan] or d-S [Ya-Kasratan]. 

Seems to work fine on XP.  I will have to try on Windows 7 later.

> The arabic letters don't have a constant form. This seems to be the problem (?): Try f-S and compare with f-S-f.

I don't understand what you are saying here.  Is something wrong with
how f-S or f-S-f are displayed?  If so, what exactly is wrong?  If
that's not what you meant, then what "seems to be the problem"?

Thanks.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 03 Sep 2012 17:51:02 +0000
Resent-Message-ID: <handler.11860.B11860.134669464613659 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134669464613659
          (code B ref 11860); Mon, 03 Sep 2012 17:51:02 +0000
Received: (at 11860) by debbugs.gnu.org; 3 Sep 2012 17:50:46 +0000
Received: from localhost ([127.0.0.1]:36688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8anN-0003YG-Q0
	for submit <at> debbugs.gnu.org; Mon, 03 Sep 2012 13:50:46 -0400
Received: from forward7.mail.yandex.net ([77.88.61.37]:56037)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T8anI-0003Y1-G2
	for 11860 <at> debbugs.gnu.org; Mon, 03 Sep 2012 13:50:43 -0400
Received: from web20e.yandex.ru (web20e.yandex.ru [77.88.60.24])
	by forward7.mail.yandex.net (Yandex) with ESMTP id 32BF11C0CBE;
	Mon,  3 Sep 2012 21:49:05 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web20e.yandex.ru (Yandex) with ESMTP id 91F4A17C0024;
	Mon,  3 Sep 2012 21:49:04 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346694544; bh=p/iMGgmMCF1gon++Hmdw2fOOyrWrT+gl5VtuMIa0Ivk=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:Content-Type;
	b=g7Ul0GFCGBdnDCxApMrFp8IOnwdkr8OE8+6lqZALeYrnNrL0wrpofhnRZnyVpTlyw
	o5M+dY79ynbM7GZyIf9D+jnm+CUYhDq0eVADWf2H/saCPNJmAZ190U+Es6QkQVp958
	112RA37vMu7DKXPkdGL5hRLE1AF7SSaZz/5bM5kU=
Received: from [176.3.206.139] ([176.3.206.139]) by web20e.yandex.ru with HTTP;
	Mon, 03 Sep 2012 21:49:04 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <532181346694544@HIDDEN>
Date: Mon, 03 Sep 2012 19:49:04 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Type: multipart/mixed; boundary="----==--bound.53219.web20e.yandex.ru"
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org


------==--bound.53219.web20e.yandex.ru
Content-Transfer-Encoding: 7bit
Content-Type: text/plain



>> From: Steffan <smias@HIDDEN>
>> Cc: smias@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,Kenichi Handa <handa@HIDDEN>
>> Date: Mon, 03 Sep 2012 17:31:39 +0200
>>
>> Thanks, this bug is now fixed. But there is something wrong with the two diacritics (short vowels): ARABIC KASRA and ARABIC KASRATAN. They should appear UNDER the letters, not IN or OVER them.
>>
>> Try a-A [Sheen-Kasra] or a-S [Sheen-Kasratan] or d-S [Ya-Kasratan].
> 
> Seems to work fine on XP. I will have to try on Windows 7 later.
> 
>> The arabic letters don't have a constant form. This seems to be the problem (?): Try f-S and compare with f-S-f.
> 
> I don't understand what you are saying here. Is something wrong with
> how f-S or f-S-f are displayed? If so, what exactly is wrong? If
> that's not what you meant, then what "seems to be the problem"?
> 
> Thanks.

(See the screenshot)

Well, comparin u-S with u-S-u is a better example. (S =ARABIC AIN)
- By u-S you see the KASRATAN in the AIN which is wrong.
- But after typing the second u, you get it correctly. Beaucse AIN (like most arabic letters) changes its form (not like hebrew) if you add another letter: it gets smaller, and so the Kasratan get the right position.
Emacs in Linux handels it correctly: The Kasratan CHANGES it's position after typing the second AIN (u-S-u). 



 -- 

------==--bound.53219.web20e.yandex.ru
Content-Disposition: attachment;
	filename="diacritics.jpg"
Content-Transfer-Encoding: base64
Content-Type: image/jpeg;
	name="diacritics.jpg"
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------==--bound.53219.web20e.yandex.ru--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
Resent-From: Kenichi Handa <handa@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 04 Sep 2012 09:04:02 +0000
Resent-Message-ID: <handler.11860.B11860.13467494191444 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 11860 <at> debbugs.gnu.org, smias@HIDDEN, jasonr@HIDDEN
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.13467494191444
          (code B ref 11860); Tue, 04 Sep 2012 09:04:02 +0000
Received: (at 11860) by debbugs.gnu.org; 4 Sep 2012 09:03:39 +0000
Received: from localhost ([127.0.0.1]:37710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8p2o-0000NE-Bx
	for submit <at> debbugs.gnu.org; Tue, 04 Sep 2012 05:03:39 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:38301)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <handa@HIDDEN>) id 1T8p2m-0000N7-3B
	for 11860 <at> debbugs.gnu.org; Tue, 04 Sep 2012 05:03:36 -0400
Received: from 126.229.accsnet.ne.jp ([202.220.229.126]:55157 helo=ubuntu)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <handa@HIDDEN>)
	id 1T8p2l-0002Hs-Ij; Tue, 04 Sep 2012 05:03:36 -0400
From: Kenichi Handa <handa@HIDDEN>
In-Reply-To: <83wr0bdrwh.fsf@HIDDEN> (message from Eli Zaretskii on Mon,
	03 Sep 2012 18:53:34 +0300)
Date: Tue, 04 Sep 2012 18:03:26 +0900
Message-ID: <87txvetb1d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -7.1 (-------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -7.1 (-------)

In article <83wr0bdrwh.fsf@HIDDEN>, Eli Zaretskii <eliz@HIDDEN> writes:

> > By the way, it seems that "arial" font has better OTF GPOS feautre
> > for Arabic than the default font "courier new".
> > 
> > Try to evaluate this on Windows:
> >   (set-fontset-font t 'arabic (font-spec :family "arial" :size 30))
> > and see the position of upper vowels.

> It indeed looks nicer, but its base line is too high, IMHO, and thus
> the Arabic text looks awkward wrt surrounding Latin text, see the
> attached snapshot.

That's perhaps because of ":size 30".  I specified it to
highlight the effect of GPOS.  If you don't specify it, it
seems that the result looks better, though, of course, I'm
not an expert of typesetting Arabic-English mixed test.

BTW, typesetting multiple scripts with different fonts is
a difficult task.


---
Kenichi Handa
handa@HIDDEN




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 04 Sep 2012 17:19:01 +0000
Resent-Message-ID: <handler.11860.B11860.134677909715675 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: handa@HIDDEN, 11860 <at> debbugs.gnu.org, jasonr@HIDDEN
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134677909715675
          (code B ref 11860); Tue, 04 Sep 2012 17:19:01 +0000
Received: (at 11860) by debbugs.gnu.org; 4 Sep 2012 17:18:17 +0000
Received: from localhost ([127.0.0.1]:38726 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T8wlU-00044m-PS
	for submit <at> debbugs.gnu.org; Tue, 04 Sep 2012 13:18:16 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:63567)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1T8wlR-00044c-8T
	for 11860 <at> debbugs.gnu.org; Tue, 04 Sep 2012 13:18:14 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0M9U00K005C8OB00@HIDDEN> for
	11860 <at> debbugs.gnu.org; Tue, 04 Sep 2012 20:18:10 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M9U00KTJ5E92PB0@HIDDEN>;
	Tue, 04 Sep 2012 20:18:10 +0300 (IDT)
Date: Tue, 04 Sep 2012 20:18:19 +0300
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <503491346686299@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83ipbtemg4.fsf@HIDDEN>
References: <503491346686299@HIDDEN>
X-Spam-Score: -1.2 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: Steffan <smias@HIDDEN>
> Cc: smias@HIDDEN,jasonr@HIDDEN,11860 <at> debbugs.gnu.org,Kenichi Handa <handa@HIDDEN>
> Date: Mon, 03 Sep 2012 17:31:39 +0200
> 
> Thanks, this bug is now fixed. But there is something wrong with the two diacritics (short vowels): ARABIC KASRA and ARABIC KASRATAN. They should appear UNDER the letters, not IN or OVER them.
> 
> Try a-A [Sheen-Kasra] or a-S [Sheen-Kasratan] or d-S [Ya-Kasratan]. 
> But h-S or m-S has the correct form. (?)

This happened because w32uniscribe.c didn't reverse the sign of the
y-offsets returned by the Uniscribe shaper.  This reversal is
necessary because the Y axes in font definition coordinates and in
Emacs screen coordinates point in opposite directions.

I see that ftfont.c consistently reverses the sign of y-offsets,
probably for the same reason.

Fixed in trunk revision 109876.  Please test.

P.S. This bug affected all complex scripts, not just RTL or Arabic.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
Resent-From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 06 Sep 2012 02:10:01 +0000
Resent-Message-ID: <handler.11860.B11860.134689738015666 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Steffan <smias@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 11860 <at> debbugs.gnu.org
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134689738015666
          (code B ref 11860); Thu, 06 Sep 2012 02:10:01 +0000
Received: (at 11860) by debbugs.gnu.org; 6 Sep 2012 02:09:40 +0000
Received: from localhost ([127.0.0.1]:41678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T9RXH-00044c-HQ
	for submit <at> debbugs.gnu.org; Wed, 05 Sep 2012 22:09:39 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:63968)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <mituharu@HIDDEN>) id 1T9RXB-00044Q-KG
	for 11860 <at> debbugs.gnu.org; Wed, 05 Sep 2012 22:09:37 -0400
Received: from church.math.s.chiba-u.ac.jp (church [133.82.132.36])
	by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id EFD77C055D;
	Thu,  6 Sep 2012 11:09:20 +0900 (JST)
Date: Thu, 06 Sep 2012 11:09:20 +0900
Message-ID: <wld31z52cv.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
In-Reply-To: <532181346694544@HIDDEN>
References: <349071341393469@HIDDEN>
	<532181346694544@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
	(=?UTF-8?Q?Shij=C5=8D?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
	MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Thu_Sep__6_11:09:20_2012-1"
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org

--Multipart_Thu_Sep__6_11:09:20_2012-1
Content-Type: text/plain; charset=US-ASCII

>>>>> On Mon, 03 Sep 2012 19:49:04 +0200, Steffan <smias@HIDDEN> said:

> (See the screenshot)

> Well, comparin u-S with u-S-u is a better example. (S =ARABIC AIN)
> - By u-S you see the KASRATAN in the AIN which is wrong.
> - But after typing the second u, you get it correctly. Beaucse AIN (like most arabic letters) changes its form (not like hebrew) if you add another letter: it gets smaller, and so the Kasratan get the right position.
> Emacs in Linux handels it correctly: The Kasratan CHANGES it's position after typing the second AIN (u-S-u). 

Some of the examples don't look right with X11 on OS X to me, if I use
Arial 30pt.  See the screenshot with X11 (first) and with the Mac port
(second, with the patch in (*)).  Which font did you use when you
tried them on GNU/Linux?

(*): http://lists.gnu.org/archive/html/emacs-devel/2012-09/msg00157.html

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

--Multipart_Thu_Sep__6_11:09:20_2012-1
Content-Type: image/png
Content-Disposition: inline; filename="x11.png"
Content-Transfer-Encoding: base64
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--Multipart_Thu_Sep__6_11:09:20_2012-1
Content-Type: image/png
Content-Disposition: inline; filename="mac.png"
Content-Transfer-Encoding: base64
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--Multipart_Thu_Sep__6_11:09:20_2012-1--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
References: <349071341393469@HIDDEN>
In-Reply-To: <349071341393469@HIDDEN>
Resent-From: Steffan <smias@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 06 Sep 2012 08:53:01 +0000
Resent-Message-ID: <handler.11860.B11860.134692157718549 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 11860
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Cc: Kenichi Handa <handa@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, 11860 <at> debbugs.gnu.org
Received: via spool by 11860-submit <at> debbugs.gnu.org id=B11860.134692157718549
          (code B ref 11860); Thu, 06 Sep 2012 08:53:01 +0000
Received: (at 11860) by debbugs.gnu.org; 6 Sep 2012 08:52:57 +0000
Received: from localhost ([127.0.0.1]:42130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T9XpV-0004p4-9r
	for submit <at> debbugs.gnu.org; Thu, 06 Sep 2012 04:52:57 -0400
Received: from forward10.mail.yandex.net ([77.88.61.49]:53714)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <smias@HIDDEN>) id 1T9XpN-0004on-LY
	for 11860 <at> debbugs.gnu.org; Thu, 06 Sep 2012 04:52:51 -0400
Received: from web8e.yandex.ru (web8e.yandex.ru [77.88.60.150])
	by forward10.mail.yandex.net (Yandex) with ESMTP id DEF5F102089A;
	Thu,  6 Sep 2012 12:52:32 +0400 (MSK)
Received: from 127.0.0.1 (localhost.localdomain [127.0.0.1])
	by web8e.yandex.ru (Yandex) with ESMTP id 2E38AE0801B;
	Thu,  6 Sep 2012 12:52:32 +0400 (MSK)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yandex.ru; s=mail;
	t=1346921552; bh=xPZnpDRkn1J2TZtUejjJ1+HRI1UgxIQkk9CT964O4Yk=;
	h=From:To:Cc:Subject:MIME-Version:Message-Id:Date:Content-Type;
	b=rTWPdZO/qhN7QyE20hzS5Iz8GZHbP2w5v3RjEAmlhure6/QPn4ZwNWM+mJ/VfraW6
	OAH7tQs1G0gG1tokk0k5l68d9vwXzqNGqtEjxPV68VDtSZt8BEJzuVTfAZKZfblkZP
	1bYpuoE6ERlPICdfW3nPZsE+uJ84GX+Ajd3BfaBs=
Received: from [46.115.50.137] ([46.115.50.137]) by web8e.yandex.ru with HTTP; 
	Thu, 06 Sep 2012 12:52:31 +0400
From: Steffan <smias@HIDDEN>
MIME-Version: 1.0
Message-Id: <464691346921551@HIDDEN>
Date: Thu, 06 Sep 2012 10:52:31 +0200
X-Mailer: Yamail [ http://yandex.ru ] 5.0
Content-Type: multipart/mixed; boundary="----==--bound.46471.web8e.yandex.ru"
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org


------==--bound.46471.web8e.yandex.ru
Content-Transfer-Encoding: 7bit
Content-Type: text/plain

>>>>>> On Mon, 03 Sep 2012 19:49:04 +0200, Steffan <smias@HIDDEN> said:
>>
>> (See the screenshot)
>> Well, comparin u-S with u-S-u is a better example. (S =ARABIC AIN)
>> - By u-S you see the KASRATAN in the AIN which is wrong.
>> - But after typing the second u, you get it correctly. Beaucse AIN (like most arabic letters) changes its form (not like hebrew) if you add another letter: it gets smaller, and so the Kasratan get the right position.
>> Emacs in Linux handels it correctly: The Kasratan CHANGES it's position after typing the second AIN (u-S-u).
>
> Some of the examples don't look right with X11 on OS X to me, if I use
> Arial 30pt. See the screenshot with X11 (first) and with the Mac port
> (second, with the patch in (*)). Which font did you use when you
> tried them on GNU/Linux?
>
> (*): http://lists.gnu.org/archive/html/emacs-devel/2012-09/msg00157.html
>
> YAMAMOTO Mitsuharu
> mituharu@HIDDEN

--

There are also in linux problems with some fonts for arabic, for example: KacstNaskh have only one form for every arabic letter! But it works with the many fonts as Arial, Tholoth, DejaVu and Metal, which my linux machine uses by default.

See the screenshots.

------==--bound.46471.web8e.yandex.ru
Content-Disposition: attachment;
	filename="arial2.png"
Content-Transfer-Encoding: base64
Content-Type: image/png;
	name="arial2.png"
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------==--bound.46471.web8e.yandex.ru
Content-Disposition: attachment;
	filename="dejavu.png"
Content-Transfer-Encoding: base64
Content-Type: image/png;
	name="dejavu.png"
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------==--bound.46471.web8e.yandex.ru
Content-Disposition: attachment;
	filename="metal.png"
Content-Transfer-Encoding: base64
Content-Type: image/png;
	name="metal.png"
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------==--bound.46471.web8e.yandex.ru
Content-Disposition: attachment;
	filename="tholoth.png"
Content-Transfer-Encoding: base64
Content-Type: image/png;
	name="tholoth.png"
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